
#ifndef __DEFAULT_LIBVALIDE_VALIDE_0_0_H__
#define __DEFAULT_LIBVALIDE_VALIDE_0_0_H__

#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixdata.h>
#include <gtksourceview/gtksourceview.h>
#include <gdk/gdk.h>
#include <float.h>
#include <math.h>
#include <libxml/xpath.h>

G_BEGIN_DECLS


#define VALIDE_TYPE_ABOUT_DIALOG (valide_about_dialog_get_type ())
#define VALIDE_ABOUT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABOUT_DIALOG, ValideAboutDialog))
#define VALIDE_ABOUT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABOUT_DIALOG, ValideAboutDialogClass))
#define VALIDE_IS_ABOUT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABOUT_DIALOG))
#define VALIDE_IS_ABOUT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABOUT_DIALOG))
#define VALIDE_ABOUT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABOUT_DIALOG, ValideAboutDialogClass))

typedef struct _ValideAboutDialog ValideAboutDialog;
typedef struct _ValideAboutDialogClass ValideAboutDialogClass;
typedef struct _ValideAboutDialogPrivate ValideAboutDialogPrivate;

#define VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER (valide_abstract_config_manager_get_type ())
#define VALIDE_ABSTRACT_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER, ValideAbstractConfigManager))
#define VALIDE_ABSTRACT_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER, ValideAbstractConfigManagerClass))
#define VALIDE_IS_ABSTRACT_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER))
#define VALIDE_IS_ABSTRACT_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER))
#define VALIDE_ABSTRACT_CONFIG_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_CONFIG_MANAGER, ValideAbstractConfigManagerClass))

typedef struct _ValideAbstractConfigManager ValideAbstractConfigManager;
typedef struct _ValideAbstractConfigManagerClass ValideAbstractConfigManagerClass;
typedef struct _ValideAbstractConfigManagerPrivate ValideAbstractConfigManagerPrivate;

#define VALIDE_TYPE_IDOCUMENT (valide_idocument_get_type ())
#define VALIDE_IDOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_IDOCUMENT, ValideiDocument))
#define VALIDE_IS_IDOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_IDOCUMENT))
#define VALIDE_IDOCUMENT_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_TYPE_IDOCUMENT, ValideiDocumentIface))

typedef struct _ValideiDocument ValideiDocument;
typedef struct _ValideiDocumentIface ValideiDocumentIface;

#define VALIDE_TYPE_DOCUMENT_STATE (valide_document_state_get_type ())

#define VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT (valide_abstract_text_document_get_type ())
#define VALIDE_ABSTRACT_TEXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT, ValideAbstractTextDocument))
#define VALIDE_ABSTRACT_TEXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT, ValideAbstractTextDocumentClass))
#define VALIDE_IS_ABSTRACT_TEXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT))
#define VALIDE_IS_ABSTRACT_TEXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT))
#define VALIDE_ABSTRACT_TEXT_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_TEXT_DOCUMENT, ValideAbstractTextDocumentClass))

typedef struct _ValideAbstractTextDocument ValideAbstractTextDocument;
typedef struct _ValideAbstractTextDocumentClass ValideAbstractTextDocumentClass;
typedef struct _ValideAbstractTextDocumentPrivate ValideAbstractTextDocumentPrivate;

#define VALIDE_TYPE_SPLIT_SOURCE_VIEW (valide_split_source_view_get_type ())
#define VALIDE_SPLIT_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SPLIT_SOURCE_VIEW, ValideSplitSourceView))
#define VALIDE_SPLIT_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SPLIT_SOURCE_VIEW, ValideSplitSourceViewClass))
#define VALIDE_IS_SPLIT_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SPLIT_SOURCE_VIEW))
#define VALIDE_IS_SPLIT_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SPLIT_SOURCE_VIEW))
#define VALIDE_SPLIT_SOURCE_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SPLIT_SOURCE_VIEW, ValideSplitSourceViewClass))

typedef struct _ValideSplitSourceView ValideSplitSourceView;
typedef struct _ValideSplitSourceViewClass ValideSplitSourceViewClass;

#define VALIDE_TYPE_POSITION (valide_position_get_type ())
typedef struct _ValidePosition ValidePosition;

#define VALIDE_TYPE_SOURCE_VIEW (valide_source_view_get_type ())
#define VALIDE_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SOURCE_VIEW, ValideSourceView))
#define VALIDE_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SOURCE_VIEW, ValideSourceViewClass))
#define VALIDE_IS_SOURCE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SOURCE_VIEW))
#define VALIDE_IS_SOURCE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SOURCE_VIEW))
#define VALIDE_SOURCE_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SOURCE_VIEW, ValideSourceViewClass))

typedef struct _ValideSourceView ValideSourceView;
typedef struct _ValideSourceViewClass ValideSourceViewClass;

#define VALIDE_TYPE_EXECUTABLE (valide_executable_get_type ())
#define VALIDE_EXECUTABLE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_EXECUTABLE, ValideExecutable))
#define VALIDE_EXECUTABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_EXECUTABLE, ValideExecutableClass))
#define VALIDE_IS_EXECUTABLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_EXECUTABLE))
#define VALIDE_IS_EXECUTABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_EXECUTABLE))
#define VALIDE_EXECUTABLE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_EXECUTABLE, ValideExecutableClass))

typedef struct _ValideExecutable ValideExecutable;
typedef struct _ValideExecutableClass ValideExecutableClass;
typedef struct _ValideExecutablePrivate ValideExecutablePrivate;

#define VALIDE_TYPE_COMPILER (valide_compiler_get_type ())
#define VALIDE_COMPILER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_COMPILER, ValideCompiler))
#define VALIDE_COMPILER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_COMPILER, ValideCompilerClass))
#define VALIDE_IS_COMPILER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_COMPILER))
#define VALIDE_IS_COMPILER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_COMPILER))
#define VALIDE_COMPILER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_COMPILER, ValideCompilerClass))

typedef struct _ValideCompiler ValideCompiler;
typedef struct _ValideCompilerClass ValideCompilerClass;
typedef struct _ValideCompilerPrivate ValideCompilerPrivate;

#define VALIDE_TYPE_CONFIG_MANAGER (valide_config_manager_get_type ())
#define VALIDE_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_CONFIG_MANAGER, ValideConfigManager))
#define VALIDE_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_CONFIG_MANAGER, ValideConfigManagerClass))
#define VALIDE_IS_CONFIG_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_CONFIG_MANAGER))
#define VALIDE_IS_CONFIG_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_CONFIG_MANAGER))
#define VALIDE_CONFIG_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_CONFIG_MANAGER, ValideConfigManagerClass))

typedef struct _ValideConfigManager ValideConfigManager;
typedef struct _ValideConfigManagerClass ValideConfigManagerClass;
typedef struct _ValideConfigManagerPrivate ValideConfigManagerPrivate;

#define VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG (valide_abstract_close_dialog_get_type ())
#define VALIDE_ABSTRACT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG, ValideAbstractCloseDialog))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG, ValideAbstractCloseDialogClass))
#define VALIDE_IS_ABSTRACT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG))
#define VALIDE_IS_ABSTRACT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_CLOSE_DIALOG, ValideAbstractCloseDialogClass))

typedef struct _ValideAbstractCloseDialog ValideAbstractCloseDialog;
typedef struct _ValideAbstractCloseDialogClass ValideAbstractCloseDialogClass;
typedef struct _ValideAbstractCloseDialogPrivate ValideAbstractCloseDialogPrivate;

#define VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS (valide_abstract_close_dialog_window_widgets_get_type ())
#define VALIDE_ABSTRACT_CLOSE_DIALOG_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractCloseDialogwindow_widgets))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractCloseDialogwindow_widgetsClass))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_CLOSE_DIALOG_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractCloseDialogwindow_widgetsClass))

typedef struct _ValideAbstractCloseDialogwindow_widgets ValideAbstractCloseDialogwindow_widgets;
typedef struct _ValideAbstractCloseDialogwindow_widgetsClass ValideAbstractCloseDialogwindow_widgetsClass;

#define VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG (valide_document_close_dialog_get_type ())
#define VALIDE_DOCUMENT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG, ValideDocumentCloseDialog))
#define VALIDE_DOCUMENT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG, ValideDocumentCloseDialogClass))
#define VALIDE_IS_DOCUMENT_CLOSE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG))
#define VALIDE_IS_DOCUMENT_CLOSE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG))
#define VALIDE_DOCUMENT_CLOSE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_DOCUMENT_CLOSE_DIALOG, ValideDocumentCloseDialogClass))

typedef struct _ValideDocumentCloseDialog ValideDocumentCloseDialog;
typedef struct _ValideDocumentCloseDialogClass ValideDocumentCloseDialogClass;
typedef struct _ValideDocumentCloseDialogPrivate ValideDocumentCloseDialogPrivate;

#define VALIDE_TYPE_DOCUMENT_MANAGER (valide_document_manager_get_type ())
#define VALIDE_DOCUMENT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_DOCUMENT_MANAGER, ValideDocumentManager))
#define VALIDE_DOCUMENT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_DOCUMENT_MANAGER, ValideDocumentManagerClass))
#define VALIDE_IS_DOCUMENT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_DOCUMENT_MANAGER))
#define VALIDE_IS_DOCUMENT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_DOCUMENT_MANAGER))
#define VALIDE_DOCUMENT_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_DOCUMENT_MANAGER, ValideDocumentManagerClass))

typedef struct _ValideDocumentManager ValideDocumentManager;
typedef struct _ValideDocumentManagerClass ValideDocumentManagerClass;
typedef struct _ValideDocumentManagerPrivate ValideDocumentManagerPrivate;

#define VALIDE_TYPE_DOCUMENT_MESSAGE (valide_document_message_get_type ())
#define VALIDE_DOCUMENT_MESSAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_DOCUMENT_MESSAGE, ValideDocumentMessage))
#define VALIDE_DOCUMENT_MESSAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_DOCUMENT_MESSAGE, ValideDocumentMessageClass))
#define VALIDE_IS_DOCUMENT_MESSAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_DOCUMENT_MESSAGE))
#define VALIDE_IS_DOCUMENT_MESSAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_DOCUMENT_MESSAGE))
#define VALIDE_DOCUMENT_MESSAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_DOCUMENT_MESSAGE, ValideDocumentMessageClass))

typedef struct _ValideDocumentMessage ValideDocumentMessage;
typedef struct _ValideDocumentMessageClass ValideDocumentMessageClass;
typedef struct _ValideDocumentMessagePrivate ValideDocumentMessagePrivate;

#define VALIDE_TYPE_TXT_DOCUMENT (valide_txt_document_get_type ())
#define VALIDE_TXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TXT_DOCUMENT, ValideTxtDocument))
#define VALIDE_TXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TXT_DOCUMENT, ValideTxtDocumentClass))
#define VALIDE_IS_TXT_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TXT_DOCUMENT))
#define VALIDE_IS_TXT_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TXT_DOCUMENT))
#define VALIDE_TXT_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TXT_DOCUMENT, ValideTxtDocumentClass))

typedef struct _ValideTxtDocument ValideTxtDocument;
typedef struct _ValideTxtDocumentClass ValideTxtDocumentClass;
typedef struct _ValideTxtDocumentPrivate ValideTxtDocumentPrivate;

#define VALIDE_TYPE_GS_DOCUMENT (valide_gs_document_get_type ())
#define VALIDE_GS_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_GS_DOCUMENT, ValideGsDocument))
#define VALIDE_GS_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_GS_DOCUMENT, ValideGsDocumentClass))
#define VALIDE_IS_GS_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_GS_DOCUMENT))
#define VALIDE_IS_GS_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_GS_DOCUMENT))
#define VALIDE_GS_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_GS_DOCUMENT, ValideGsDocumentClass))

typedef struct _ValideGsDocument ValideGsDocument;
typedef struct _ValideGsDocumentClass ValideGsDocumentClass;
typedef struct _ValideGsDocumentPrivate ValideGsDocumentPrivate;

#define VALIDE_TYPE_VALA_DOCUMENT (valide_vala_document_get_type ())
#define VALIDE_VALA_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_VALA_DOCUMENT, ValideValaDocument))
#define VALIDE_VALA_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_VALA_DOCUMENT, ValideValaDocumentClass))
#define VALIDE_IS_VALA_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_VALA_DOCUMENT))
#define VALIDE_IS_VALA_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_VALA_DOCUMENT))
#define VALIDE_VALA_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_VALA_DOCUMENT, ValideValaDocumentClass))

typedef struct _ValideValaDocument ValideValaDocument;
typedef struct _ValideValaDocumentClass ValideValaDocumentClass;
typedef struct _ValideValaDocumentPrivate ValideValaDocumentPrivate;

#define VALIDE_TYPE_VAPI_DOCUMENT (valide_vapi_document_get_type ())
#define VALIDE_VAPI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_VAPI_DOCUMENT, ValideVapiDocument))
#define VALIDE_VAPI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_VAPI_DOCUMENT, ValideVapiDocumentClass))
#define VALIDE_IS_VAPI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_VAPI_DOCUMENT))
#define VALIDE_IS_VAPI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_VAPI_DOCUMENT))
#define VALIDE_VAPI_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_VAPI_DOCUMENT, ValideVapiDocumentClass))

typedef struct _ValideVapiDocument ValideVapiDocument;
typedef struct _ValideVapiDocumentClass ValideVapiDocumentClass;
typedef struct _ValideVapiDocumentPrivate ValideVapiDocumentPrivate;

#define VALIDE_TYPE_XML_DOCUMENT (valide_xml_document_get_type ())
#define VALIDE_XML_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_XML_DOCUMENT, ValideXmlDocument))
#define VALIDE_XML_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_XML_DOCUMENT, ValideXmlDocumentClass))
#define VALIDE_IS_XML_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_XML_DOCUMENT))
#define VALIDE_IS_XML_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_XML_DOCUMENT))
#define VALIDE_XML_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_XML_DOCUMENT, ValideXmlDocumentClass))

typedef struct _ValideXmlDocument ValideXmlDocument;
typedef struct _ValideXmlDocumentClass ValideXmlDocumentClass;
typedef struct _ValideXmlDocumentPrivate ValideXmlDocumentPrivate;

#define VALIDE_TYPE_GLADE_DOCUMENT (valide_glade_document_get_type ())
#define VALIDE_GLADE_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_GLADE_DOCUMENT, ValideGladeDocument))
#define VALIDE_GLADE_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_GLADE_DOCUMENT, ValideGladeDocumentClass))
#define VALIDE_IS_GLADE_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_GLADE_DOCUMENT))
#define VALIDE_IS_GLADE_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_GLADE_DOCUMENT))
#define VALIDE_GLADE_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_GLADE_DOCUMENT, ValideGladeDocumentClass))

typedef struct _ValideGladeDocument ValideGladeDocument;
typedef struct _ValideGladeDocumentClass ValideGladeDocumentClass;
typedef struct _ValideGladeDocumentPrivate ValideGladeDocumentPrivate;

#define VALIDE_TYPE_UI_DOCUMENT (valide_ui_document_get_type ())
#define VALIDE_UI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_UI_DOCUMENT, ValideUiDocument))
#define VALIDE_UI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_UI_DOCUMENT, ValideUiDocumentClass))
#define VALIDE_IS_UI_DOCUMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_UI_DOCUMENT))
#define VALIDE_IS_UI_DOCUMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_UI_DOCUMENT))
#define VALIDE_UI_DOCUMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_UI_DOCUMENT, ValideUiDocumentClass))

typedef struct _ValideUiDocument ValideUiDocument;
typedef struct _ValideUiDocumentClass ValideUiDocumentClass;
typedef struct _ValideUiDocumentPrivate ValideUiDocumentPrivate;

#define VALIDE_TYPE_ENCODING (valide_encoding_get_type ())
#define VALIDE_ENCODING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ENCODING, ValideEncoding))
#define VALIDE_ENCODING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ENCODING, ValideEncodingClass))
#define VALIDE_IS_ENCODING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ENCODING))
#define VALIDE_IS_ENCODING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ENCODING))
#define VALIDE_ENCODING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ENCODING, ValideEncodingClass))

typedef struct _ValideEncoding ValideEncoding;
typedef struct _ValideEncodingClass ValideEncodingClass;
typedef struct _ValideEncodingPrivate ValideEncodingPrivate;

#define VALIDE_TYPE_EXECUTABLE_MANAGER (valide_executable_manager_get_type ())
#define VALIDE_EXECUTABLE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_EXECUTABLE_MANAGER, ValideExecutableManager))
#define VALIDE_EXECUTABLE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_EXECUTABLE_MANAGER, ValideExecutableManagerClass))
#define VALIDE_IS_EXECUTABLE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_EXECUTABLE_MANAGER))
#define VALIDE_IS_EXECUTABLE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_EXECUTABLE_MANAGER))
#define VALIDE_EXECUTABLE_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_EXECUTABLE_MANAGER, ValideExecutableManagerClass))

typedef struct _ValideExecutableManager ValideExecutableManager;
typedef struct _ValideExecutableManagerClass ValideExecutableManagerClass;
typedef struct _ValideExecutableManagerPrivate ValideExecutableManagerPrivate;

#define VALIDE_TYPE_GOTO_DIALOG (valide_goto_dialog_get_type ())
#define VALIDE_GOTO_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_GOTO_DIALOG, ValideGotoDialog))
#define VALIDE_GOTO_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_GOTO_DIALOG, ValideGotoDialogClass))
#define VALIDE_IS_GOTO_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_GOTO_DIALOG))
#define VALIDE_IS_GOTO_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_GOTO_DIALOG))
#define VALIDE_GOTO_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_GOTO_DIALOG, ValideGotoDialogClass))

typedef struct _ValideGotoDialog ValideGotoDialog;
typedef struct _ValideGotoDialogClass ValideGotoDialogClass;
typedef struct _ValideGotoDialogPrivate ValideGotoDialogPrivate;

#define VALIDE_TYPE_PANEL (valide_panel_get_type ())
#define VALIDE_PANEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PANEL, ValidePanel))
#define VALIDE_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PANEL, ValidePanelClass))
#define VALIDE_IS_PANEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PANEL))
#define VALIDE_IS_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PANEL))
#define VALIDE_PANEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PANEL, ValidePanelClass))

typedef struct _ValidePanel ValidePanel;
typedef struct _ValidePanelClass ValidePanelClass;
typedef struct _ValidePanelPrivate ValidePanelPrivate;

#define VALIDE_TYPE_PLUGIN_MANAGER (valide_plugin_manager_get_type ())
#define VALIDE_PLUGIN_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN_MANAGER, ValidePluginManager))
#define VALIDE_PLUGIN_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN_MANAGER, ValidePluginManagerClass))
#define VALIDE_IS_PLUGIN_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN_MANAGER))
#define VALIDE_IS_PLUGIN_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN_MANAGER))
#define VALIDE_PLUGIN_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN_MANAGER, ValidePluginManagerClass))

typedef struct _ValidePluginManager ValidePluginManager;
typedef struct _ValidePluginManagerClass ValidePluginManagerClass;
typedef struct _ValidePluginManagerPrivate ValidePluginManagerPrivate;

#define VALIDE_TYPE_PLUGIN_REGISTRAR (valide_plugin_registrar_get_type ())
#define VALIDE_PLUGIN_REGISTRAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN_REGISTRAR, ValidePluginRegistrar))
#define VALIDE_PLUGIN_REGISTRAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN_REGISTRAR, ValidePluginRegistrarClass))
#define VALIDE_IS_PLUGIN_REGISTRAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN_REGISTRAR))
#define VALIDE_IS_PLUGIN_REGISTRAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN_REGISTRAR))
#define VALIDE_PLUGIN_REGISTRAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN_REGISTRAR, ValidePluginRegistrarClass))

typedef struct _ValidePluginRegistrar ValidePluginRegistrar;
typedef struct _ValidePluginRegistrarClass ValidePluginRegistrarClass;

#define VALIDE_TYPE_PLUGIN_PREFERENCES (valide_plugin_preferences_get_type ())
#define VALIDE_PLUGIN_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN_PREFERENCES, ValidePluginPreferences))
#define VALIDE_PLUGIN_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN_PREFERENCES, ValidePluginPreferencesClass))
#define VALIDE_IS_PLUGIN_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN_PREFERENCES))
#define VALIDE_IS_PLUGIN_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN_PREFERENCES))
#define VALIDE_PLUGIN_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN_PREFERENCES, ValidePluginPreferencesClass))

typedef struct _ValidePluginPreferences ValidePluginPreferences;
typedef struct _ValidePluginPreferencesClass ValidePluginPreferencesClass;
typedef struct _ValidePluginPreferencesPrivate ValidePluginPreferencesPrivate;
typedef struct _ValidePluginRegistrarPrivate ValidePluginRegistrarPrivate;

#define VALIDE_TYPE_PLUGIN (valide_plugin_get_type ())
#define VALIDE_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PLUGIN, ValidePlugin))
#define VALIDE_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PLUGIN, ValidePluginClass))
#define VALIDE_IS_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PLUGIN))
#define VALIDE_IS_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PLUGIN))
#define VALIDE_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PLUGIN, ValidePluginClass))

typedef struct _ValidePlugin ValidePlugin;
typedef struct _ValidePluginClass ValidePluginClass;
typedef struct _ValidePluginPrivate ValidePluginPrivate;

#define VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG (valide_abstract_preferences_dialog_get_type ())
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG, ValideAbstractPreferencesDialog))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG, ValideAbstractPreferencesDialogClass))
#define VALIDE_IS_ABSTRACT_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG))
#define VALIDE_IS_ABSTRACT_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PREFERENCES_DIALOG, ValideAbstractPreferencesDialogClass))

typedef struct _ValideAbstractPreferencesDialog ValideAbstractPreferencesDialog;
typedef struct _ValideAbstractPreferencesDialogClass ValideAbstractPreferencesDialogClass;
typedef struct _ValideAbstractPreferencesDialogPrivate ValideAbstractPreferencesDialogPrivate;

#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS (valide_abstract_preferences_dialog_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractPreferencesDialogwindow_widgets))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractPreferencesDialogwindow_widgetsClass))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractPreferencesDialogwindow_widgetsClass))

typedef struct _ValideAbstractPreferencesDialogwindow_widgets ValideAbstractPreferencesDialogwindow_widgets;
typedef struct _ValideAbstractPreferencesDialogwindow_widgetsClass ValideAbstractPreferencesDialogwindow_widgetsClass;

#define VALIDE_TYPE_PREFERENCES_DIALOG (valide_preferences_dialog_get_type ())
#define VALIDE_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PREFERENCES_DIALOG, ValidePreferencesDialog))
#define VALIDE_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PREFERENCES_DIALOG, ValidePreferencesDialogClass))
#define VALIDE_IS_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PREFERENCES_DIALOG))
#define VALIDE_IS_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PREFERENCES_DIALOG))
#define VALIDE_PREFERENCES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PREFERENCES_DIALOG, ValidePreferencesDialogClass))

typedef struct _ValidePreferencesDialog ValidePreferencesDialog;
typedef struct _ValidePreferencesDialogClass ValidePreferencesDialogClass;
typedef struct _ValidePreferencesDialogPrivate ValidePreferencesDialogPrivate;

#define VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS (valide_abstract_project_dialog_options_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS, ValideAbstractProjectDialogOptions))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS, ValideAbstractProjectDialogOptionsClass))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_OPTIONS, ValideAbstractProjectDialogOptionsClass))

typedef struct _ValideAbstractProjectDialogOptions ValideAbstractProjectDialogOptions;
typedef struct _ValideAbstractProjectDialogOptionsClass ValideAbstractProjectDialogOptionsClass;
typedef struct _ValideAbstractProjectDialogOptionsPrivate ValideAbstractProjectDialogOptionsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS (valide_abstract_project_dialog_options_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogOptionswindow_widgets))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogOptionswindow_widgetsClass))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogOptionswindow_widgetsClass))

typedef struct _ValideAbstractProjectDialogOptionswindow_widgets ValideAbstractProjectDialogOptionswindow_widgets;
typedef struct _ValideAbstractProjectDialogOptionswindow_widgetsClass ValideAbstractProjectDialogOptionswindow_widgetsClass;

#define VALIDE_TYPE_PROJECT_DIALOG_OPTIONS (valide_project_dialog_options_get_type ())
#define VALIDE_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS, ValideProjectDialogOptions))
#define VALIDE_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS, ValideProjectDialogOptionsClass))
#define VALIDE_IS_PROJECT_DIALOG_OPTIONS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS))
#define VALIDE_IS_PROJECT_DIALOG_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS))
#define VALIDE_PROJECT_DIALOG_OPTIONS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_DIALOG_OPTIONS, ValideProjectDialogOptionsClass))

typedef struct _ValideProjectDialogOptions ValideProjectDialogOptions;
typedef struct _ValideProjectDialogOptionsClass ValideProjectDialogOptionsClass;
typedef struct _ValideProjectDialogOptionsPrivate ValideProjectDialogOptionsPrivate;

#define VALIDE_TYPE_PROJECT (valide_project_get_type ())
#define VALIDE_PROJECT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT, ValideProject))
#define VALIDE_PROJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT, ValideProjectClass))
#define VALIDE_IS_PROJECT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT))
#define VALIDE_IS_PROJECT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT))
#define VALIDE_PROJECT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT, ValideProjectClass))

typedef struct _ValideProject ValideProject;
typedef struct _ValideProjectClass ValideProjectClass;

#define VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE (valide_abstract_project_dialog_remove_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE, ValideAbstractProjectDialogRemove))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE, ValideAbstractProjectDialogRemoveClass))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG_REMOVE, ValideAbstractProjectDialogRemoveClass))

typedef struct _ValideAbstractProjectDialogRemove ValideAbstractProjectDialogRemove;
typedef struct _ValideAbstractProjectDialogRemoveClass ValideAbstractProjectDialogRemoveClass;
typedef struct _ValideAbstractProjectDialogRemovePrivate ValideAbstractProjectDialogRemovePrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS (valide_abstract_project_dialog_remove_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogRemovewindow_widgets))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogRemovewindow_widgetsClass))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogRemovewindow_widgetsClass))

typedef struct _ValideAbstractProjectDialogRemovewindow_widgets ValideAbstractProjectDialogRemovewindow_widgets;
typedef struct _ValideAbstractProjectDialogRemovewindow_widgetsClass ValideAbstractProjectDialogRemovewindow_widgetsClass;

#define VALIDE_TYPE_PROJECT_DIALOG_REMOVE (valide_project_dialog_remove_get_type ())
#define VALIDE_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_DIALOG_REMOVE, ValideProjectDialogRemove))
#define VALIDE_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_DIALOG_REMOVE, ValideProjectDialogRemoveClass))
#define VALIDE_IS_PROJECT_DIALOG_REMOVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_DIALOG_REMOVE))
#define VALIDE_IS_PROJECT_DIALOG_REMOVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_DIALOG_REMOVE))
#define VALIDE_PROJECT_DIALOG_REMOVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_DIALOG_REMOVE, ValideProjectDialogRemoveClass))

typedef struct _ValideProjectDialogRemove ValideProjectDialogRemove;
typedef struct _ValideProjectDialogRemoveClass ValideProjectDialogRemoveClass;
typedef struct _ValideProjectDialogRemovePrivate ValideProjectDialogRemovePrivate;

#define VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG (valide_abstract_project_dialog_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG, ValideAbstractProjectDialog))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG, ValideAbstractProjectDialogClass))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG))
#define VALIDE_IS_ABSTRACT_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_ABSTRACT_PROJECT_DIALOG, ValideAbstractProjectDialogClass))

typedef struct _ValideAbstractProjectDialog ValideAbstractProjectDialog;
typedef struct _ValideAbstractProjectDialogClass ValideAbstractProjectDialogClass;
typedef struct _ValideAbstractProjectDialogPrivate ValideAbstractProjectDialogPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS (valide_abstract_project_dialog_window_widgets_get_type ())
#define VALIDE_ABSTRACT_PROJECT_DIALOG_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogwindow_widgets))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogwindow_widgetsClass))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_IS_WINDOW_WIDGETS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_IS_WINDOW_WIDGETS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS))
#define VALIDE_ABSTRACT_PROJECT_DIALOG_WINDOW_WIDGETS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGETS, ValideAbstractProjectDialogwindow_widgetsClass))

typedef struct _ValideAbstractProjectDialogwindow_widgets ValideAbstractProjectDialogwindow_widgets;
typedef struct _ValideAbstractProjectDialogwindow_widgetsClass ValideAbstractProjectDialogwindow_widgetsClass;

#define VALIDE_TYPE_PROJECT_DIALOG (valide_project_dialog_get_type ())
#define VALIDE_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_DIALOG, ValideProjectDialog))
#define VALIDE_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_DIALOG, ValideProjectDialogClass))
#define VALIDE_IS_PROJECT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_DIALOG))
#define VALIDE_IS_PROJECT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_DIALOG))
#define VALIDE_PROJECT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_DIALOG, ValideProjectDialogClass))

typedef struct _ValideProjectDialog ValideProjectDialog;
typedef struct _ValideProjectDialogClass ValideProjectDialogClass;
typedef struct _ValideProjectDialogPrivate ValideProjectDialogPrivate;

#define VALIDE_TYPE_PROJECT_MANAGER (valide_project_manager_get_type ())
#define VALIDE_PROJECT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROJECT_MANAGER, ValideProjectManager))
#define VALIDE_PROJECT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROJECT_MANAGER, ValideProjectManagerClass))
#define VALIDE_IS_PROJECT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROJECT_MANAGER))
#define VALIDE_IS_PROJECT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROJECT_MANAGER))
#define VALIDE_PROJECT_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROJECT_MANAGER, ValideProjectManagerClass))

typedef struct _ValideProjectManager ValideProjectManager;
typedef struct _ValideProjectManagerClass ValideProjectManagerClass;
typedef struct _ValideProjectManagerPrivate ValideProjectManagerPrivate;
typedef struct _ValideProjectPrivate ValideProjectPrivate;

#define VALIDE_TYPE_RECENT_MANAGER_UI (valide_recent_manager_ui_get_type ())
#define VALIDE_RECENT_MANAGER_UI(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_RECENT_MANAGER_UI, ValideRecentManagerUI))
#define VALIDE_RECENT_MANAGER_UI_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_RECENT_MANAGER_UI, ValideRecentManagerUIClass))
#define VALIDE_IS_RECENT_MANAGER_UI(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_RECENT_MANAGER_UI))
#define VALIDE_IS_RECENT_MANAGER_UI_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_RECENT_MANAGER_UI))
#define VALIDE_RECENT_MANAGER_UI_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_RECENT_MANAGER_UI, ValideRecentManagerUIClass))

typedef struct _ValideRecentManagerUI ValideRecentManagerUI;
typedef struct _ValideRecentManagerUIClass ValideRecentManagerUIClass;
typedef struct _ValideRecentManagerUIPrivate ValideRecentManagerUIPrivate;

#define VALIDE_TYPE_UI_MANAGER (valide_ui_manager_get_type ())
#define VALIDE_UI_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_UI_MANAGER, ValideUIManager))
#define VALIDE_UI_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_UI_MANAGER, ValideUIManagerClass))
#define VALIDE_IS_UI_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_UI_MANAGER))
#define VALIDE_IS_UI_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_UI_MANAGER))
#define VALIDE_UI_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_UI_MANAGER, ValideUIManagerClass))

typedef struct _ValideUIManager ValideUIManager;
typedef struct _ValideUIManagerClass ValideUIManagerClass;

#define VALIDE_TYPE_SEARCHING (valide_searching_get_type ())
#define VALIDE_SEARCHING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SEARCHING, ValideSearching))
#define VALIDE_SEARCHING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SEARCHING, ValideSearchingClass))
#define VALIDE_IS_SEARCHING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SEARCHING))
#define VALIDE_IS_SEARCHING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SEARCHING))
#define VALIDE_SEARCHING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SEARCHING, ValideSearchingClass))

typedef struct _ValideSearching ValideSearching;
typedef struct _ValideSearchingClass ValideSearchingClass;
typedef struct _ValideSearchingPrivate ValideSearchingPrivate;

#define VALIDE_TYPE_PROVIDER (valide_provider_get_type ())
#define VALIDE_PROVIDER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROVIDER, ValideProvider))
#define VALIDE_IS_PROVIDER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROVIDER))
#define VALIDE_PROVIDER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_TYPE_PROVIDER, ValideProviderIface))

typedef struct _ValideProvider ValideProvider;
typedef struct _ValideProviderIface ValideProviderIface;

#define VALIDE_TYPE_PROPOSAL (valide_proposal_get_type ())
#define VALIDE_PROPOSAL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_PROPOSAL, ValideProposal))
#define VALIDE_PROPOSAL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_PROPOSAL, ValideProposalClass))
#define VALIDE_IS_PROPOSAL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_PROPOSAL))
#define VALIDE_IS_PROPOSAL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_PROPOSAL))
#define VALIDE_PROPOSAL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_PROPOSAL, ValideProposalClass))

typedef struct _ValideProposal ValideProposal;
typedef struct _ValideProposalClass ValideProposalClass;

#define VALIDE_TYPE_SOURCE_COMPLETION (valide_source_completion_get_type ())
#define VALIDE_SOURCE_COMPLETION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_SOURCE_COMPLETION, ValideSourceCompletion))
#define VALIDE_SOURCE_COMPLETION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_SOURCE_COMPLETION, ValideSourceCompletionClass))
#define VALIDE_IS_SOURCE_COMPLETION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_SOURCE_COMPLETION))
#define VALIDE_IS_SOURCE_COMPLETION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_SOURCE_COMPLETION))
#define VALIDE_SOURCE_COMPLETION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_SOURCE_COMPLETION, ValideSourceCompletionClass))

typedef struct _ValideSourceCompletion ValideSourceCompletion;
typedef struct _ValideSourceCompletionClass ValideSourceCompletionClass;
typedef struct _ValideSourceCompletionPrivate ValideSourceCompletionPrivate;

#define VALIDE_TYPE_POPUP (valide_popup_get_type ())
#define VALIDE_POPUP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_POPUP, ValidePopup))
#define VALIDE_POPUP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_POPUP, ValidePopupClass))
#define VALIDE_IS_POPUP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_POPUP))
#define VALIDE_IS_POPUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_POPUP))
#define VALIDE_POPUP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_POPUP, ValidePopupClass))

typedef struct _ValidePopup ValidePopup;
typedef struct _ValidePopupClass ValidePopupClass;
typedef struct _ValideProposalPrivate ValideProposalPrivate;

#define VALIDE_TYPE_TREE (valide_tree_get_type ())
#define VALIDE_TREE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TREE, ValideTree))
#define VALIDE_TREE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TREE, ValideTreeClass))
#define VALIDE_IS_TREE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TREE))
#define VALIDE_IS_TREE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TREE))
#define VALIDE_TREE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TREE, ValideTreeClass))

typedef struct _ValideTree ValideTree;
typedef struct _ValideTreeClass ValideTreeClass;
typedef struct _ValideTreePrivate ValideTreePrivate;
typedef struct _ValidePopupPrivate ValidePopupPrivate;
typedef struct _ValideSourceViewPrivate ValideSourceViewPrivate;

#define VALIDE_TYPE_TRIGGER (valide_trigger_get_type ())
#define VALIDE_TRIGGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TRIGGER, ValideTrigger))
#define VALIDE_IS_TRIGGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TRIGGER))
#define VALIDE_TRIGGER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), VALIDE_TYPE_TRIGGER, ValideTriggerIface))

typedef struct _ValideTrigger ValideTrigger;
typedef struct _ValideTriggerIface ValideTriggerIface;
typedef struct _ValideSplitSourceViewPrivate ValideSplitSourceViewPrivate;

#define VALIDE_TYPE_START_PAGE (valide_start_page_get_type ())
#define VALIDE_START_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_START_PAGE, ValideStartPage))
#define VALIDE_START_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_START_PAGE, ValideStartPageClass))
#define VALIDE_IS_START_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_START_PAGE))
#define VALIDE_IS_START_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_START_PAGE))
#define VALIDE_START_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_START_PAGE, ValideStartPageClass))

typedef struct _ValideStartPage ValideStartPage;
typedef struct _ValideStartPageClass ValideStartPageClass;
typedef struct _ValideStartPagePrivate ValideStartPagePrivate;

#define VALIDE_TYPE_STATUSBAR (valide_statusbar_get_type ())
#define VALIDE_STATUSBAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_STATUSBAR, ValideStatusbar))
#define VALIDE_STATUSBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_STATUSBAR, ValideStatusbarClass))
#define VALIDE_IS_STATUSBAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_STATUSBAR))
#define VALIDE_IS_STATUSBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_STATUSBAR))
#define VALIDE_STATUSBAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_STATUSBAR, ValideStatusbarClass))

typedef struct _ValideStatusbar ValideStatusbar;
typedef struct _ValideStatusbarClass ValideStatusbarClass;
typedef struct _ValideStatusbarPrivate ValideStatusbarPrivate;

#define VALIDE_TYPE_TEMPLATE_MANAGER (valide_template_manager_get_type ())
#define VALIDE_TEMPLATE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TEMPLATE_MANAGER, ValideTemplateManager))
#define VALIDE_TEMPLATE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TEMPLATE_MANAGER, ValideTemplateManagerClass))
#define VALIDE_IS_TEMPLATE_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TEMPLATE_MANAGER))
#define VALIDE_IS_TEMPLATE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TEMPLATE_MANAGER))
#define VALIDE_TEMPLATE_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TEMPLATE_MANAGER, ValideTemplateManagerClass))

typedef struct _ValideTemplateManager ValideTemplateManager;
typedef struct _ValideTemplateManagerClass ValideTemplateManagerClass;
typedef struct _ValideTemplateManagerPrivate ValideTemplateManagerPrivate;

#define VALIDE_TYPE_TEMPLATE (valide_template_get_type ())
#define VALIDE_TEMPLATE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_TEMPLATE, ValideTemplate))
#define VALIDE_TEMPLATE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_TEMPLATE, ValideTemplateClass))
#define VALIDE_IS_TEMPLATE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_TEMPLATE))
#define VALIDE_IS_TEMPLATE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_TEMPLATE))
#define VALIDE_TEMPLATE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_TEMPLATE, ValideTemplateClass))

typedef struct _ValideTemplate ValideTemplate;
typedef struct _ValideTemplateClass ValideTemplateClass;
typedef struct _ValideTemplatePrivate ValideTemplatePrivate;
typedef struct _ValideUIManagerPrivate ValideUIManagerPrivate;

#define VALIDE_TYPE_UTILS (valide_utils_get_type ())
#define VALIDE_UTILS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_UTILS, ValideUtils))
#define VALIDE_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_UTILS, ValideUtilsClass))
#define VALIDE_IS_UTILS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_UTILS))
#define VALIDE_IS_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_UTILS))
#define VALIDE_UTILS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_UTILS, ValideUtilsClass))

typedef struct _ValideUtils ValideUtils;
typedef struct _ValideUtilsClass ValideUtilsClass;
typedef struct _ValideUtilsPrivate ValideUtilsPrivate;

#define VALIDE_TYPE_MARKUP (valide_markup_get_type ())
#define VALIDE_MARKUP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_MARKUP, ValideMarkup))
#define VALIDE_MARKUP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_MARKUP, ValideMarkupClass))
#define VALIDE_IS_MARKUP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_MARKUP))
#define VALIDE_IS_MARKUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_MARKUP))
#define VALIDE_MARKUP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_MARKUP, ValideMarkupClass))

typedef struct _ValideMarkup ValideMarkup;
typedef struct _ValideMarkupClass ValideMarkupClass;
typedef struct _ValideMarkupPrivate ValideMarkupPrivate;

#define VALIDE_TYPE_VALA (valide_vala_get_type ())
#define VALIDE_VALA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_VALA, ValideVala))
#define VALIDE_VALA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_VALA, ValideValaClass))
#define VALIDE_IS_VALA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_VALA))
#define VALIDE_IS_VALA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_VALA))
#define VALIDE_VALA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_VALA, ValideValaClass))

typedef struct _ValideVala ValideVala;
typedef struct _ValideValaClass ValideValaClass;
typedef struct _ValideValaPrivate ValideValaPrivate;

#define VALIDE_TYPE_WINDOW (valide_window_get_type ())
#define VALIDE_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALIDE_TYPE_WINDOW, ValideWindow))
#define VALIDE_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALIDE_TYPE_WINDOW, ValideWindowClass))
#define VALIDE_IS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALIDE_TYPE_WINDOW))
#define VALIDE_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALIDE_TYPE_WINDOW))
#define VALIDE_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALIDE_TYPE_WINDOW, ValideWindowClass))

typedef struct _ValideWindow ValideWindow;
typedef struct _ValideWindowClass ValideWindowClass;
typedef struct _ValideWindowPrivate ValideWindowPrivate;
typedef struct _ValideAbstractCloseDialogwindow_widgetsPrivate ValideAbstractCloseDialogwindow_widgetsPrivate;

#define VALIDE_ABSTRACT_CLOSE_DIALOG_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_close_dialog_window_widget_names_get_type ())
typedef struct _ValideAbstractCloseDialogwindow_widget_names ValideAbstractCloseDialogwindow_widget_names;
typedef struct _ValideAbstractPreferencesDialogwindow_widgetsPrivate ValideAbstractPreferencesDialogwindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PREFERENCES_DIALOG_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_preferences_dialog_window_widget_names_get_type ())
typedef struct _ValideAbstractPreferencesDialogwindow_widget_names ValideAbstractPreferencesDialogwindow_widget_names;
typedef struct _ValideAbstractProjectDialogOptionswindow_widgetsPrivate ValideAbstractProjectDialogOptionswindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_project_dialog_options_window_widget_names_get_type ())
typedef struct _ValideAbstractProjectDialogOptionswindow_widget_names ValideAbstractProjectDialogOptionswindow_widget_names;
typedef struct _ValideAbstractProjectDialogRemovewindow_widgetsPrivate ValideAbstractProjectDialogRemovewindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_project_dialog_remove_window_widget_names_get_type ())
typedef struct _ValideAbstractProjectDialogRemovewindow_widget_names ValideAbstractProjectDialogRemovewindow_widget_names;
typedef struct _ValideAbstractProjectDialogwindow_widgetsPrivate ValideAbstractProjectDialogwindow_widgetsPrivate;

#define VALIDE_ABSTRACT_PROJECT_DIALOG_TYPE_WINDOW_WIDGET_NAMES (valide_abstract_project_dialog_window_widget_names_get_type ())
typedef struct _ValideAbstractProjectDialogwindow_widget_names ValideAbstractProjectDialogwindow_widget_names;

struct _ValideAboutDialog {
	GtkAboutDialog parent_instance;
	ValideAboutDialogPrivate * priv;
};

struct _ValideAboutDialogClass {
	GtkAboutDialogClass parent_class;
};

/**
 * Abstract class for manage configation files.
 */
struct _ValideAbstractConfigManager {
	GObject parent_instance;
	ValideAbstractConfigManagerPrivate * priv;
};

struct _ValideAbstractConfigManagerClass {
	GObjectClass parent_class;
	void (*preferences) (ValideAbstractConfigManager* self);
	void (*first_run) (ValideAbstractConfigManager* self);
	char* (*get_config_file) (ValideAbstractConfigManager* self);
};

typedef enum  {
	VALIDE_DOCUMENT_STATE_NORMAL,
	VALIDE_DOCUMENT_STATE_EXTERNALLY_MODIFIED,
	VALIDE_DOCUMENT_STATE_BAD_ENCODING,
	VALIDE_DOCUMENT_STATE_INFO
} ValideDocumentState;

struct _ValideiDocumentIface {
	GTypeInterface parent_iface;
	void (*open) (ValideiDocument* self, const char* uri, GError** error);
	void (*save) (ValideiDocument* self);
	void (*save_as) (ValideiDocument* self);
	gboolean (*close) (ValideiDocument* self);
	void (*redo) (ValideiDocument* self);
	void (*search) (ValideiDocument* self);
	void (*find_next) (ValideiDocument* self);
	void (*find_prev) (ValideiDocument* self);
	void (*replace) (ValideiDocument* self);
	gboolean (*goto_line) (ValideiDocument* self, gint line);
	GdkPixbuf* (*get_icon) (ValideiDocument* self);
	void (*setup_ui) (ValideiDocument* self);
	ValideDocumentState (*get_state) (ValideiDocument* self);
	void (*set_state) (ValideiDocument* self, ValideDocumentState value);
	gboolean (*get_is_save) (ValideiDocument* self);
	void (*set_is_save) (ValideiDocument* self, gboolean value);
	char* (*get_path) (ValideiDocument* self);
	void (*set_path) (ValideiDocument* self, const char* value);
	char* (*get_title) (ValideiDocument* self);
	char* (*get_filename) (ValideiDocument* self);
};

struct _ValideAbstractTextDocument {
	GtkVBox parent_instance;
	ValideAbstractTextDocumentPrivate * priv;
	ValideSplitSourceView* split_view;
};

struct _ValideAbstractTextDocumentClass {
	GtkVBoxClass parent_class;
	ValideSplitSourceView* (*create_source_view) (ValideAbstractTextDocument* self);
	char* (*get_contents) (ValideAbstractTextDocument* self, GError** error);
	void (*set_contents) (ValideAbstractTextDocument* self, GError** error);
	GdkPixbuf* (*get_icon) (ValideAbstractTextDocument* self);
};

struct _ValidePosition {
	gint start_line;
	gint end_line;
	gint start_row;
	gint end_row;
};

/**
 * Abstract class representing an program can launch by #ExecutableManager.
 */
struct _ValideExecutable {
	GtkScrolledWindow parent_instance;
	ValideExecutablePrivate * priv;
};

struct _ValideExecutableClass {
	GtkScrolledWindowClass parent_class;
	GdkColor (*get_color_line) (ValideExecutable* self, const char* line);
	void (*line_activated) (ValideExecutable* self, const char* line);
	void (*run) (ValideExecutable* self, const char* options, const char* dir);
	char* (*get_start_msg) (ValideExecutable* self);
	char* (*get_end_msg) (ValideExecutable* self);
	char* (*get_working_directory) (ValideExecutable* self);
	char* (*get_executable) (ValideExecutable* self);
	void (*set_executable) (ValideExecutable* self, char* value);
};

struct _ValideCompiler {
	ValideExecutable parent_instance;
	ValideCompilerPrivate * priv;
};

struct _ValideCompilerClass {
	ValideExecutableClass parent_class;
};

struct _ValideConfigManager {
	ValideAbstractConfigManager parent_instance;
	ValideConfigManagerPrivate * priv;
};

struct _ValideConfigManagerClass {
	ValideAbstractConfigManagerClass parent_class;
};

struct _ValideAbstractCloseDialog {
	GtkObject parent_instance;
	ValideAbstractCloseDialogPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractCloseDialogwindow_widgets* widgets;
};

struct _ValideAbstractCloseDialogClass {
	GtkObjectClass parent_class;
};

struct _ValideDocumentCloseDialog {
	ValideAbstractCloseDialog parent_instance;
	ValideDocumentCloseDialogPrivate * priv;
};

struct _ValideDocumentCloseDialogClass {
	ValideAbstractCloseDialogClass parent_class;
};

typedef enum  {
	VALIDE_DOCUMENT_ERROR_UNKNOW_DOCUMENT,
	VALIDE_DOCUMENT_ERROR_BAD_URI,
	VALIDE_DOCUMENT_ERROR_NO_DOCUMENT,
	VALIDE_DOCUMENT_ERROR_MIME
} ValideDocumentError;
#define VALIDE_DOCUMENT_ERROR valide_document_error_quark ()
struct _ValideDocumentManager {
	GtkNotebook parent_instance;
	ValideDocumentManagerPrivate * priv;
};

struct _ValideDocumentManagerClass {
	GtkNotebookClass parent_class;
	void (*setup_ui) (ValideDocumentManager* self);
	ValideAbstractTextDocument* (*create_document) (ValideDocumentManager* self, const char* filename, GError** error);
};

typedef enum  {
	VALIDE_PROJECT_ERROR_NO_PROJECT,
	VALIDE_PROJECT_ERROR_MAX_OPEN
} ValideProjectError;
#define VALIDE_PROJECT_ERROR valide_project_error_quark ()
struct _ValideDocumentMessage {
	GtkHBox parent_instance;
	ValideDocumentMessagePrivate * priv;
};

struct _ValideDocumentMessageClass {
	GtkHBoxClass parent_class;
};

struct _ValideTxtDocument {
	ValideAbstractTextDocument parent_instance;
	ValideTxtDocumentPrivate * priv;
};

struct _ValideTxtDocumentClass {
	ValideAbstractTextDocumentClass parent_class;
};

struct _ValideGsDocument {
	ValideTxtDocument parent_instance;
	ValideGsDocumentPrivate * priv;
};

struct _ValideGsDocumentClass {
	ValideTxtDocumentClass parent_class;
};

struct _ValideValaDocument {
	ValideTxtDocument parent_instance;
	ValideValaDocumentPrivate * priv;
};

struct _ValideValaDocumentClass {
	ValideTxtDocumentClass parent_class;
};

struct _ValideVapiDocument {
	ValideValaDocument parent_instance;
	ValideVapiDocumentPrivate * priv;
};

struct _ValideVapiDocumentClass {
	ValideValaDocumentClass parent_class;
};

struct _ValideXmlDocument {
	ValideTxtDocument parent_instance;
	ValideXmlDocumentPrivate * priv;
};

struct _ValideXmlDocumentClass {
	ValideTxtDocumentClass parent_class;
};

struct _ValideGladeDocument {
	ValideXmlDocument parent_instance;
	ValideGladeDocumentPrivate * priv;
};

struct _ValideGladeDocumentClass {
	ValideXmlDocumentClass parent_class;
};

struct _ValideUiDocument {
	ValideXmlDocument parent_instance;
	ValideUiDocumentPrivate * priv;
};

struct _ValideUiDocumentClass {
	ValideXmlDocumentClass parent_class;
};

struct _ValideEncoding {
	GObject parent_instance;
	ValideEncodingPrivate * priv;
};

struct _ValideEncodingClass {
	GObjectClass parent_class;
};

typedef enum  {
	VALIDE_EXECUTABLE_ERROR_NO_EXECUTABLE
} ValideExecutableError;
#define VALIDE_EXECUTABLE_ERROR valide_executable_error_quark ()
struct _ValideExecutableManager {
	GtkHBox parent_instance;
	ValideExecutableManagerPrivate * priv;
};

struct _ValideExecutableManagerClass {
	GtkHBoxClass parent_class;
};

struct _ValideGotoDialog {
	GtkWindow parent_instance;
	ValideGotoDialogPrivate * priv;
};

struct _ValideGotoDialogClass {
	GtkWindowClass parent_class;
};

struct _ValidePanel {
	GtkVBox parent_instance;
	ValidePanelPrivate * priv;
};

struct _ValidePanelClass {
	GtkVBoxClass parent_class;
	void (*close) (ValidePanel* self);
};

struct _ValidePluginManager {
	GObject parent_instance;
	ValidePluginManagerPrivate * priv;
	GList* plugins;
};

struct _ValidePluginManagerClass {
	GObjectClass parent_class;
};

struct _ValidePluginPreferences {
	GtkVBox parent_instance;
	ValidePluginPreferencesPrivate * priv;
};

struct _ValidePluginPreferencesClass {
	GtkVBoxClass parent_class;
};

struct _ValidePluginRegistrar {
	GObject parent_instance;
	ValidePluginRegistrarPrivate * priv;
	char** authors;
	gint authors_length1;
};

struct _ValidePluginRegistrarClass {
	GObjectClass parent_class;
};

struct _ValidePlugin {
	GObject parent_instance;
	ValidePluginPrivate * priv;
};

struct _ValidePluginClass {
	GObjectClass parent_class;
};

struct _ValideAbstractPreferencesDialog {
	GtkObject parent_instance;
	ValideAbstractPreferencesDialogPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractPreferencesDialogwindow_widgets* widgets;
};

struct _ValideAbstractPreferencesDialogClass {
	GtkObjectClass parent_class;
};

/* @todo set_smart_home_end */
struct _ValidePreferencesDialog {
	ValideAbstractPreferencesDialog parent_instance;
	ValidePreferencesDialogPrivate * priv;
};

struct _ValidePreferencesDialogClass {
	ValideAbstractPreferencesDialogClass parent_class;
};

struct _ValideAbstractProjectDialogOptions {
	GtkObject parent_instance;
	ValideAbstractProjectDialogOptionsPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractProjectDialogOptionswindow_widgets* widgets;
};

struct _ValideAbstractProjectDialogOptionsClass {
	GtkObjectClass parent_class;
};

struct _ValideProjectDialogOptions {
	ValideAbstractProjectDialogOptions parent_instance;
	ValideProjectDialogOptionsPrivate * priv;
};

struct _ValideProjectDialogOptionsClass {
	ValideAbstractProjectDialogOptionsClass parent_class;
};

struct _ValideAbstractProjectDialogRemove {
	GtkObject parent_instance;
	ValideAbstractProjectDialogRemovePrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractProjectDialogRemovewindow_widgets* widgets;
};

struct _ValideAbstractProjectDialogRemoveClass {
	GtkObjectClass parent_class;
};

struct _ValideProjectDialogRemove {
	ValideAbstractProjectDialogRemove parent_instance;
	ValideProjectDialogRemovePrivate * priv;
};

struct _ValideProjectDialogRemoveClass {
	ValideAbstractProjectDialogRemoveClass parent_class;
};

struct _ValideAbstractProjectDialog {
	GtkObject parent_instance;
	ValideAbstractProjectDialogPrivate * priv;
	char* namespace;
	GtkBuilder* xml;
	ValideAbstractProjectDialogwindow_widgets* widgets;
};

struct _ValideAbstractProjectDialogClass {
	GtkObjectClass parent_class;
};

struct _ValideProjectDialog {
	ValideAbstractProjectDialog parent_instance;
	ValideProjectDialogPrivate * priv;
};

struct _ValideProjectDialogClass {
	ValideAbstractProjectDialogClass parent_class;
};

struct _ValideProjectManager {
	GtkScrolledWindow parent_instance;
	ValideProjectManagerPrivate * priv;
};

struct _ValideProjectManagerClass {
	GtkScrolledWindowClass parent_class;
};

struct _ValideProject {
	GObject parent_instance;
	ValideProjectPrivate * priv;
};

struct _ValideProjectClass {
	GObjectClass parent_class;
};

struct _ValideRecentManagerUI {
	GObject parent_instance;
	ValideRecentManagerUIPrivate * priv;
};

struct _ValideRecentManagerUIClass {
	GObjectClass parent_class;
};

struct _ValideSearching {
	GtkVBox parent_instance;
	ValideSearchingPrivate * priv;
};

struct _ValideSearchingClass {
	GtkVBoxClass parent_class;
};

struct _ValideProviderIface {
	GTypeInterface parent_iface;
	void (*finish) (ValideProvider* self);
	GList* (*get_proposals) (ValideProvider* self);
};

struct _ValideSourceCompletion {
	GObject parent_instance;
	ValideSourceCompletionPrivate * priv;
};

struct _ValideSourceCompletionClass {
	GObjectClass parent_class;
};

struct _ValideProposal {
	GObject parent_instance;
	ValideProposalPrivate * priv;
};

struct _ValideProposalClass {
	GObjectClass parent_class;
};

struct _ValideTree {
	GtkScrolledWindow parent_instance;
	ValideTreePrivate * priv;
};

struct _ValideTreeClass {
	GtkScrolledWindowClass parent_class;
};

/*this.select_first ();*/
struct _ValidePopup {
	GtkWindow parent_instance;
	ValidePopupPrivate * priv;
};

struct _ValidePopupClass {
	GtkWindowClass parent_class;
};

struct _ValideSourceView {
	GtkSourceView parent_instance;
	ValideSourceViewPrivate * priv;
};

struct _ValideSourceViewClass {
	GtkSourceViewClass parent_class;
};

struct _ValideTriggerIface {
	GTypeInterface parent_iface;
};

struct _ValideSplitSourceView {
	GtkVPaned parent_instance;
	ValideSplitSourceViewPrivate * priv;
};

struct _ValideSplitSourceViewClass {
	GtkVPanedClass parent_class;
};

struct _ValideStartPage {
	GtkTable parent_instance;
	ValideStartPagePrivate * priv;
};

struct _ValideStartPageClass {
	GtkTableClass parent_class;
};

/*
 * This code is re-writing in the vala language of GeditStatusbar
 *
 * Copyright (C) 2006-2008  Jürg Billeter, Raffaele Sandrini
 * Copyright (C) 2007  Mathias Hasselmann
 */
struct _ValideStatusbar {
	GtkStatusbar parent_instance;
	ValideStatusbarPrivate * priv;
};

struct _ValideStatusbarClass {
	GtkStatusbarClass parent_class;
};

struct _ValideTemplateManager {
	GObject parent_instance;
	ValideTemplateManagerPrivate * priv;
};

struct _ValideTemplateManagerClass {
	GObjectClass parent_class;
};

struct _ValideTemplate {
	GObject parent_instance;
	ValideTemplatePrivate * priv;
};

struct _ValideTemplateClass {
	GObjectClass parent_class;
};

struct _ValideUIManager {
	GtkUIManager parent_instance;
	ValideUIManagerPrivate * priv;
};

struct _ValideUIManagerClass {
	GtkUIManagerClass parent_class;
};

struct _ValideUtils {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideUtilsPrivate * priv;
};

struct _ValideUtilsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideUtils *self);
};

struct _ValideMarkup {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideMarkupPrivate * priv;
};

struct _ValideMarkupClass {
	GTypeClass parent_class;
	void (*finalize) (ValideMarkup *self);
};

struct _ValideVala {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideValaPrivate * priv;
};

struct _ValideValaClass {
	GTypeClass parent_class;
	void (*finalize) (ValideVala *self);
};

struct _ValideWindow {
	GtkWindow parent_instance;
	ValideWindowPrivate * priv;
	ValidePanel* side_panel;
	ValidePanel* bottom_panel;
	ValideStatusbar* statusbar;
};

struct _ValideWindowClass {
	GtkWindowClass parent_class;
};

struct _ValideAbstractCloseDialogwindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractCloseDialogwindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* dialog_vbox1;
	GtkVBox* vbox1;
	GtkHBox* hbox1;
	GtkImage* image1;
	GtkVBox* vbox2;
	GtkLabel* label;
	GtkLabel* label3;
	GtkTreeView* tree_view;
	GtkLabel* label1;
	GtkHButtonBox* dialog_action_area1;
	GtkButton* button1;
	GtkButton* button2;
	GtkButton* button3;
};

struct _ValideAbstractCloseDialogwindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractCloseDialogwindow_widgets *self);
};

/* GtkButton button3 */
struct _ValideAbstractCloseDialogwindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractPreferencesDialogwindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractPreferencesDialogwindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* vbox;
	GtkNotebook* notebook;
	GtkVBox* frame_editor;
	GtkFrame* frame1;
	GtkAlignment* alignment1;
	GtkVBox* vbox1;
	GtkCheckButton* auto_indent;
	GtkCheckButton* insert_spaces_instead_of_tabs;
	GtkCheckButton* indent_on_tab;
	GtkHBox* hbox1;
	GtkLabel* label4;
	GtkSpinButton* indent_width;
	GtkHBox* hbox2;
	GtkLabel* label5;
	GtkSpinButton* tab_width;
	GtkLabel* label3;
	GtkFrame* frame2;
	GtkAlignment* alignment2;
	GtkVBox* vbox2;
	GtkCheckButton* show_right_margin;
	GtkHBox* hbox3;
	GtkLabel* label7;
	GtkSpinButton* right_margin_position;
	GtkLabel* label6;
	GtkFrame* frame4;
	GtkAlignment* alignment4;
	GtkCheckButton* show_line_numbers;
	GtkLabel* label11;
	GtkFrame* frame5;
	GtkAlignment* alignment5;
	GtkCheckButton* highlight_current_line;
	GtkLabel* label12;
	GtkLabel* label1;
	GtkVBox* vbox4;
	GtkFrame* frame3;
	GtkAlignment* alignment3;
	GtkHBox* hbox4;
	GtkLabel* label8;
	GtkFontButton* font;
	GtkLabel* label2;
	GtkFrame* frame6;
	GtkAlignment* alignment6;
	GtkScrolledWindow* scrolledwindow1;
	GtkTreeView* style_scheme;
	GtkLabel* label14;
	GtkLabel* label13;
	GtkVBox* vbox3;
	GtkHBox* hbox5;
	GtkLabel* label10;
	GtkFileChooserButton* default_directory;
	GtkLabel* label9;
	GtkHButtonBox* dialog_action_area1;
	GtkButton* button;
};

struct _ValideAbstractPreferencesDialogwindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractPreferencesDialogwindow_widgets *self);
};

/* GtkButton button */
struct _ValideAbstractPreferencesDialogwindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractProjectDialogOptionswindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractProjectDialogOptionswindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* vbox;
	GtkHBox* hbox;
	GtkScrolledWindow* scrolled_window;
	GtkIconView* icon_view;
	GtkNotebook* notebook;
	GtkTable* table1;
	GtkLabel* label7;
	GtkLabel* label8;
	GtkLabel* label9;
	GtkLabel* label10;
	GtkLabel* path;
	GtkEntry* name;
	GtkEntry* author;
	GtkEntry* version;
	GtkLabel* label11;
	GtkLabel* license;
	GtkLabel* label12;
	GtkVBox* frame_general;
	GtkCheckButton* debug;
	GtkCheckButton* thread;
	GtkCheckButton* disable_assert;
	GtkCheckButton* disable_checking;
	GtkCheckButton* disable_non_null;
	GtkCheckButton* save_temps;
	GtkCheckButton* quiet;
	GtkHBox* hbox1;
	GtkLabel* label3;
	GtkEntry* other;
	GtkButton* info_button;
	GtkImage* image3;
	GtkLabel* label1;
	GtkVBox* vbox1;
	GtkFrame* frame_pkg;
	GtkAlignment* alignment1;
	GtkHBox* hbox2;
	GtkScrolledWindow* scrolledwindow1;
	GtkTreeView* tree_view_src;
	GtkVBox* vbox3;
	GtkButton* button_add;
	GtkImage* image1;
	GtkButton* button_del;
	GtkImage* image2;
	GtkScrolledWindow* scrolledwindow2;
	GtkTreeView* tree_view_dst;
	GtkLabel* label4;
	GtkFrame* frame_vapi;
	GtkAlignment* alignment2;
	GtkVBox* vbox4;
	GtkHBox* hbox3;
	GtkFileChooserButton* file_chooser_button;
	GtkButton* button3;
	GtkButton* button4;
	GtkScrolledWindow* scrolledwindow3;
	GtkTreeView* tree_view_vapi;
	GtkLabel* label5;
	GtkLabel* label2;
	GtkHButtonBox* dialog_action_area1;
	GtkButton* button1;
	GtkButton* button2;
};

struct _ValideAbstractProjectDialogOptionswindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractProjectDialogOptionswindow_widgets *self);
};

/* GtkButton button2 */
struct _ValideAbstractProjectDialogOptionswindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractProjectDialogRemovewindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractProjectDialogRemovewindow_widgetsPrivate * priv;
	GtkDialog* dialog;
	GtkVBox* vbox;
	GtkLabel* label;
	GtkScrolledWindow* scrolled_window;
	GtkTreeView* tree_view;
	GtkHButtonBox* dialog_action_area;
	GtkButton* button1;
	GtkButton* button2;
};

struct _ValideAbstractProjectDialogRemovewindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractProjectDialogRemovewindow_widgets *self);
};

/* GtkButton button2 */
struct _ValideAbstractProjectDialogRemovewindow_widget_names {
	gint index;
	char* class;
	char* name;
};

struct _ValideAbstractProjectDialogwindow_widgets {
	GTypeInstance parent_instance;
	volatile int ref_count;
	ValideAbstractProjectDialogwindow_widgetsPrivate * priv;
	GtkListStore* model1;
	GtkAssistant* assistant;
	GtkLabel* page1;
	GtkVBox* page2;
	GtkScrolledWindow* scrolledwindow1;
	GtkIconView* icon_view;
	GtkHBox* hbox1;
	GtkLabel* label1;
	GtkComboBox* lang_combo;
	GtkCellRendererText* renderer1;
	GtkFrame* frame1;
	GtkAlignment* alignment1;
	GtkLabel* desc_label;
	GtkLabel* label4;
	GtkScrolledWindow* page3;
	GtkViewport* viewport1;
	GtkTable* table1;
	GtkLabel* label2;
	GtkLabel* label3;
	GtkLabel* label6;
	GtkEntry* name_entry;
	GtkEntry* path_entry;
	GtkLabel* label7;
	GtkLabel* label8;
	GtkLabel* label9;
	GtkEntry* author_entry;
	GtkEntry* version_entry;
	GtkComboBox* licenses_combo;
	GtkFileChooserButton* dir_chooser;
};

struct _ValideAbstractProjectDialogwindow_widgetsClass {
	GTypeClass parent_class;
	void (*finalize) (ValideAbstractProjectDialogwindow_widgets *self);
};

/* GtkFileChooserButton dir_chooser */
struct _ValideAbstractProjectDialogwindow_widget_names {
	gint index;
	char* class;
	char* name;
};


GType valide_about_dialog_get_type (void);
ValideAboutDialog* valide_about_dialog_new (void);
ValideAboutDialog* valide_about_dialog_construct (GType object_type);
GType valide_abstract_config_manager_get_type (void);
void valide_abstract_config_manager_preferences (ValideAbstractConfigManager* self);
void valide_abstract_config_manager_first_run (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_create_preferences_file (ValideAbstractConfigManager* self, const char* filename, const char* contents);
gint valide_abstract_config_manager_get_integer (ValideAbstractConfigManager* self, const char* group, const char* key);
char* valide_abstract_config_manager_get_string (ValideAbstractConfigManager* self, const char* group, const char* key);
gboolean valide_abstract_config_manager_get_boolean (ValideAbstractConfigManager* self, const char* group, const char* key);
void valide_abstract_config_manager_set_integer (ValideAbstractConfigManager* self, const char* group, const char* key, gint val);
void valide_abstract_config_manager_set_string (ValideAbstractConfigManager* self, const char* group, const char* key, const char* val);
void valide_abstract_config_manager_set_boolean (ValideAbstractConfigManager* self, const char* group, const char* key, gboolean val);
char* valide_abstract_config_manager_get_config_file (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_get_home_dir (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_get_config_dir (ValideAbstractConfigManager* self);
char* valide_abstract_config_manager_get_tmp_dir (ValideAbstractConfigManager* self);
GType valide_document_state_get_type (void);
GType valide_idocument_get_type (void);
GType valide_abstract_text_document_get_type (void);
GType valide_split_source_view_get_type (void);
ValideSplitSourceView* valide_abstract_text_document_create_source_view (ValideAbstractTextDocument* self);
char* valide_abstract_text_document_get_contents (ValideAbstractTextDocument* self, GError** error);
void valide_abstract_text_document_set_contents (ValideAbstractTextDocument* self, GError** error);
void valide_abstract_text_document_grab_focus (ValideAbstractTextDocument* self);
void valide_abstract_text_document_show (ValideAbstractTextDocument* self);
void valide_abstract_text_document_reload (ValideAbstractTextDocument* self);
GdkPixbuf* valide_abstract_text_document_get_icon (ValideAbstractTextDocument* self);
GType valide_position_get_type (void);
void valide_abstract_text_document_select_range (ValideAbstractTextDocument* self, const ValidePosition* pos);
GtkSourceBuffer* valide_abstract_text_document_get_buffer (ValideAbstractTextDocument* self);
GType valide_source_view_get_type (void);
ValideSourceView* valide_abstract_text_document_get_text_view (ValideAbstractTextDocument* self);
ValideSourceView* valide_abstract_text_document_get_view1 (ValideAbstractTextDocument* self);
ValideSourceView* valide_abstract_text_document_get_view2 (ValideAbstractTextDocument* self);
gboolean valide_abstract_text_document_get_editable (ValideAbstractTextDocument* self);
void valide_abstract_text_document_set_editable (ValideAbstractTextDocument* self, gboolean value);
char* valide_abstract_text_document_get_selected_text (ValideAbstractTextDocument* self);
GType valide_executable_get_type (void);
GType valide_compiler_get_type (void);
ValideCompiler* valide_compiler_get_instance (void);
ValideCompiler* valide_compiler_new (void);
ValideCompiler* valide_compiler_construct (GType object_type);
GType valide_config_manager_get_type (void);
ValideConfigManager* valide_config_manager_get_instance (void);
GType valide_abstract_close_dialog_get_type (void);
gpointer valide_abstract_close_dialog_window_widgets_ref (gpointer instance);
void valide_abstract_close_dialog_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_close_dialog_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_close_dialog_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_close_dialog_value_get_window_widgets (const GValue* value);
GType valide_abstract_close_dialog_window_widgets_get_type (void);
GType valide_document_close_dialog_get_type (void);
ValideDocumentCloseDialog* valide_document_close_dialog_new (GList* documents);
ValideDocumentCloseDialog* valide_document_close_dialog_construct (GType object_type, GList* documents);
void valide_document_close_dialog_set_transient_for (ValideDocumentCloseDialog* self, GtkWindow* parent);
void valide_document_close_dialog_set_modal (ValideDocumentCloseDialog* self, gboolean modal);
gint valide_document_close_dialog_run (ValideDocumentCloseDialog* self);
void valide_document_close_dialog_destroy (ValideDocumentCloseDialog* self);
GList* valide_document_close_dialog_get_selected (ValideDocumentCloseDialog* self);
GQuark valide_document_error_quark (void);
GType valide_document_manager_get_type (void);
void valide_document_manager_setup_ui (ValideDocumentManager* self);
ValideAbstractTextDocument* valide_document_manager_create_document (ValideDocumentManager* self, const char* filename, GError** error);
ValideDocumentManager* valide_document_manager_get_instance (void);
ValideiDocument* valide_document_manager_create (ValideDocumentManager* self, const char* filename, GError** error);
GQuark valide_project_error_quark (void);
void valide_document_manager_open (ValideDocumentManager* self, GError** error);
gboolean valide_document_manager_save_all (ValideDocumentManager* self);
gboolean valide_document_manager_close_all (ValideDocumentManager* self);
gint valide_document_manager_append_page (ValideDocumentManager* self, ValideiDocument* child);
void valide_document_manager_remove_page (ValideDocumentManager* self, ValideiDocument* child);
ValideiDocument* valide_document_manager_get_nth (ValideDocumentManager* self, gint page_num);
void valide_document_manager_show_start_page (ValideDocumentManager* self);
void valide_document_manager_hide_start_page (ValideDocumentManager* self);
gboolean valide_document_manager_is_open (ValideDocumentManager* self, const char* filename, gint* pos);
ValideiDocument* valide_document_manager_get_current (ValideDocumentManager* self);
void valide_document_manager_set_current (ValideDocumentManager* self, ValideiDocument* value);
GList* valide_document_manager_get_documents (ValideDocumentManager* self);
GType valide_document_message_get_type (void);
ValideDocumentMessage* valide_document_message_new (ValideAbstractTextDocument* document);
ValideDocumentMessage* valide_document_message_construct (GType object_type, ValideAbstractTextDocument* document);
ValideAbstractTextDocument* valide_document_message_get_document (ValideDocumentMessage* self);
static void valide_document_message_set_document (ValideDocumentMessage* self, ValideAbstractTextDocument* value);
GType valide_txt_document_get_type (void);
ValideTxtDocument* valide_txt_document_new (void);
ValideTxtDocument* valide_txt_document_construct (GType object_type);
GType valide_gs_document_get_type (void);
ValideGsDocument* valide_gs_document_new (void);
ValideGsDocument* valide_gs_document_construct (GType object_type);
GType valide_vala_document_get_type (void);
ValideValaDocument* valide_vala_document_new (void);
ValideValaDocument* valide_vala_document_construct (GType object_type);
GType valide_vapi_document_get_type (void);
ValideVapiDocument* valide_vapi_document_new (void);
ValideVapiDocument* valide_vapi_document_construct (GType object_type);
GType valide_xml_document_get_type (void);
ValideXmlDocument* valide_xml_document_new (void);
ValideXmlDocument* valide_xml_document_construct (GType object_type);
GType valide_glade_document_get_type (void);
ValideGladeDocument* valide_glade_document_new (void);
ValideGladeDocument* valide_glade_document_construct (GType object_type);
GType valide_ui_document_get_type (void);
ValideUiDocument* valide_ui_document_new (void);
ValideUiDocument* valide_ui_document_construct (GType object_type);
GType valide_encoding_get_type (void);
char* valide_encoding_to_utf8 (const char* path, GError** error);
char* valide_encoding_from_utf8 (GtkTextView* text_view, GError** error);
ValideEncoding* valide_encoding_new (void);
ValideEncoding* valide_encoding_construct (GType object_type);
GQuark valide_executable_error_quark (void);
GType valide_executable_manager_get_type (void);
ValideExecutableManager* valide_executable_manager_get_instance (void);
void valide_executable_manager_run (ValideExecutableManager* self, ValideExecutable* executable, const char* dir, const char* cmd);
void valide_executable_manager_stop (ValideExecutableManager* self, GError** error);
gboolean valide_executable_manager_get_running (ValideExecutableManager* self);
void valide_executable_cmd_start (ValideExecutable* self, const char* cmd);
void valide_executable_cmd_end (ValideExecutable* self, gint status, double time);
GdkColor valide_executable_get_color_line (ValideExecutable* self, const char* line);
void valide_executable_line_activated (ValideExecutable* self, const char* line);
ValideExecutable* valide_executable_new (void);
ValideExecutable* valide_executable_construct (GType object_type);
ValideExecutable* valide_executable_get_instance (void);
void valide_executable_run (ValideExecutable* self, const char* options, const char* dir);
void valide_executable_clear (ValideExecutable* self);
void valide_executable_add_line (ValideExecutable* self, const char* line);
void valide_executable_select_previous_line (ValideExecutable* self);
void valide_executable_select_next_line (ValideExecutable* self);
char* valide_executable_get_text (ValideExecutable* self);
char* valide_executable_get_start_msg (ValideExecutable* self);
char* valide_executable_get_end_msg (ValideExecutable* self);
char* valide_executable_get_working_directory (ValideExecutable* self);
char* valide_executable_get_executable (ValideExecutable* self);
void valide_executable_set_executable (ValideExecutable* self, const char* value);
GType valide_goto_dialog_get_type (void);
ValideGotoDialog* valide_goto_dialog_new (ValideAbstractTextDocument* document);
ValideGotoDialog* valide_goto_dialog_construct (GType object_type, ValideAbstractTextDocument* document);
void valide_goto_dialog_show (ValideGotoDialog* self);
ValideAbstractTextDocument* valide_goto_dialog_get_document (ValideGotoDialog* self);
static void valide_goto_dialog_set_document (ValideGotoDialog* self, ValideAbstractTextDocument* value);
void valide_idocument_open (ValideiDocument* self, const char* uri, GError** error);
void valide_idocument_save (ValideiDocument* self);
void valide_idocument_save_as (ValideiDocument* self);
gboolean valide_idocument_close (ValideiDocument* self);
void valide_idocument_redo (ValideiDocument* self);
void valide_idocument_search (ValideiDocument* self);
void valide_idocument_find_next (ValideiDocument* self);
void valide_idocument_find_prev (ValideiDocument* self);
void valide_idocument_replace (ValideiDocument* self);
gboolean valide_idocument_goto_line (ValideiDocument* self, gint line);
GdkPixbuf* valide_idocument_get_icon (ValideiDocument* self);
void valide_idocument_setup_ui (ValideiDocument* self);
ValideDocumentState valide_idocument_get_state (ValideiDocument* self);
void valide_idocument_set_state (ValideiDocument* self, ValideDocumentState value);
gboolean valide_idocument_get_is_save (ValideiDocument* self);
void valide_idocument_set_is_save (ValideiDocument* self, gboolean value);
char* valide_idocument_get_path (ValideiDocument* self);
void valide_idocument_set_path (ValideiDocument* self, const char* value);
char* valide_idocument_get_title (ValideiDocument* self);
char* valide_idocument_get_filename (ValideiDocument* self);
GType valide_panel_get_type (void);
ValidePanel* valide_panel_new (GtkOrientation orientation);
ValidePanel* valide_panel_construct (GType object_type, GtkOrientation orientation);
void valide_panel_add_item (ValidePanel* self, GtkWidget* item, const char* name, GtkImage* image);
void valide_panel_add_item_with_stock_icon (ValidePanel* self, GtkWidget* item, const char* name, const char* stock_id);
void valide_panel_close (ValidePanel* self);
gboolean valide_panel_remove_item (ValidePanel* self, GtkWidget* item);
void valide_panel_set_current_page (ValidePanel* self, GtkWidget* widget);
GtkOrientation valide_panel_get_orientation (ValidePanel* self);
static void valide_panel_set_orientation (ValidePanel* self, GtkOrientation value);
GType valide_plugin_manager_get_type (void);
GType valide_plugin_registrar_get_type (void);
ValidePluginManager* valide_plugin_manager_get_instance (void);
GtkWidget* valide_plugin_manager_preferences (ValidePluginManager* self);
void valide_plugin_manager_free (ValidePluginManager* self);
GType valide_plugin_preferences_get_type (void);
ValidePluginPreferences* valide_plugin_preferences_new (ValidePluginManager* plugin_manager);
ValidePluginPreferences* valide_plugin_preferences_construct (GType object_type, ValidePluginManager* plugin_manager);
ValidePluginManager* valide_plugin_preferences_get_plugin_manager (ValidePluginPreferences* self);
static void valide_plugin_preferences_set_plugin_manager (ValidePluginPreferences* self, ValidePluginManager* value);
ValidePluginRegistrar* valide_plugin_registrar_new (const char* filename);
ValidePluginRegistrar* valide_plugin_registrar_construct (GType object_type, const char* filename);
void valide_plugin_registrar_load (ValidePluginRegistrar* self, GError** error);
void valide_plugin_registrar_unload (ValidePluginRegistrar* self, GError** error);
void valide_plugin_registrar_preferences (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_path (ValidePluginRegistrar* self);
static void valide_plugin_registrar_set_path (ValidePluginRegistrar* self, const char* value);
gboolean valide_plugin_registrar_get_is_active (ValidePluginRegistrar* self);
gboolean valide_plugin_registrar_get_is_available (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_name (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_description (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_icon_name (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_website (ValidePluginRegistrar* self);
const char* valide_plugin_registrar_get_copyright (ValidePluginRegistrar* self);
gboolean valide_plugin_registrar_get_is_configurable (ValidePluginRegistrar* self);
GType valide_plugin_get_type (void);
ValidePlugin* valide_plugin_registrar_get_plugin (ValidePluginRegistrar* self);
char* valide_plugin_get_path (ValidePlugin* self);
static void valide_plugin_set_path (ValidePlugin* self, const char* value);
GType valide_abstract_preferences_dialog_get_type (void);
gpointer valide_abstract_preferences_dialog_window_widgets_ref (gpointer instance);
void valide_abstract_preferences_dialog_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_preferences_dialog_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_preferences_dialog_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_preferences_dialog_value_get_window_widgets (const GValue* value);
GType valide_abstract_preferences_dialog_window_widgets_get_type (void);
GType valide_preferences_dialog_get_type (void);
void valide_preferences_dialog_update_editor_param (GtkWidget* sender, ValidePreferencesDialog* self);
void valide_preferences_dialog_update_font_param (GtkWidget* sender, ValidePreferencesDialog* self);
void valide_preferences_dialog_update_projects_param (GtkWidget* sender, ValidePreferencesDialog* self);
void valide_preferences_dialog_set_param (ValidePreferencesDialog* self, GError** error);
ValidePreferencesDialog* valide_preferences_dialog_new (GtkWindow* parent);
ValidePreferencesDialog* valide_preferences_dialog_construct (GType object_type, GtkWindow* parent);
gint valide_preferences_dialog_run (ValidePreferencesDialog* self);
void valide_preferences_dialog_destroy (ValidePreferencesDialog* self);
GType valide_abstract_project_dialog_options_get_type (void);
gpointer valide_abstract_project_dialog_options_window_widgets_ref (gpointer instance);
void valide_abstract_project_dialog_options_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_project_dialog_options_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_project_dialog_options_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_project_dialog_options_value_get_window_widgets (const GValue* value);
GType valide_abstract_project_dialog_options_window_widgets_get_type (void);
GType valide_project_dialog_options_get_type (void);
void valide_project_dialog_options_add_vapi_dir (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_del_vapi_dir (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_row_add_pkg (GtkTreeView* sender, const GtkTreePath* path, GtkTreeViewColumn* column, ValideProjectDialogOptions* self);
void valide_project_dialog_options_row_del_pkg (GtkTreeView* sender, const GtkTreePath* path, GtkTreeViewColumn* column, ValideProjectDialogOptions* self);
void valide_project_dialog_options_add_pkg (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_del_pkg (GtkWidget* sender, ValideProjectDialogOptions* self);
void valide_project_dialog_options_show_help (GtkButton* sender, ValideProjectDialogOptions* self);
GType valide_project_get_type (void);
ValideProjectDialogOptions* valide_project_dialog_options_new (ValideProject* project, GtkWindow* parent);
ValideProjectDialogOptions* valide_project_dialog_options_construct (GType object_type, ValideProject* project, GtkWindow* parent);
gint valide_project_dialog_options_run (ValideProjectDialogOptions* self);
void valide_project_dialog_options_destroy (ValideProjectDialogOptions* self);
void valide_project_dialog_options_update_vapi (ValideProjectDialogOptions* self);
ValideProject* valide_project_dialog_options_get_project (ValideProjectDialogOptions* self);
static void valide_project_dialog_options_set_project (ValideProjectDialogOptions* self, ValideProject* value);
const char* valide_project_dialog_options_get_path (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_path (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_name (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_name (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_author (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_author (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_license (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_license (ValideProjectDialogOptions* self, const char* value);
const char* valide_project_dialog_options_get_version (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_version (ValideProjectDialogOptions* self, const char* value);
gboolean valide_project_dialog_options_get_debug (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_debug (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_thread (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_thread (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_disable_assert (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_disable_assert (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_disable_checking (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_disable_checking (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_disable_non_null (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_disable_non_null (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_save_temps (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_save_temps (ValideProjectDialogOptions* self, gboolean value);
gboolean valide_project_dialog_options_get_quiet (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_quiet (ValideProjectDialogOptions* self, gboolean value);
char* valide_project_dialog_options_get_other (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_other (ValideProjectDialogOptions* self, const char* value);
GList* valide_project_dialog_options_get_vapi_dir (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_vapi_dir (ValideProjectDialogOptions* self, GList* value);
GList* valide_project_dialog_options_get_pkg (ValideProjectDialogOptions* self);
void valide_project_dialog_options_set_pkg (ValideProjectDialogOptions* self, GList* value);
GType valide_abstract_project_dialog_remove_get_type (void);
gpointer valide_abstract_project_dialog_remove_window_widgets_ref (gpointer instance);
void valide_abstract_project_dialog_remove_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_project_dialog_remove_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_project_dialog_remove_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_project_dialog_remove_value_get_window_widgets (const GValue* value);
GType valide_abstract_project_dialog_remove_window_widgets_get_type (void);
GType valide_project_dialog_remove_get_type (void);
ValideProjectDialogRemove* valide_project_dialog_remove_new (ValideProject* project);
ValideProjectDialogRemove* valide_project_dialog_remove_construct (GType object_type, ValideProject* project);
gint valide_project_dialog_remove_run (ValideProjectDialogRemove* self);
void valide_project_dialog_remove_destroy (ValideProjectDialogRemove* self);
ValideProject* valide_project_dialog_remove_get_project (ValideProjectDialogRemove* self);
static void valide_project_dialog_remove_set_project (ValideProjectDialogRemove* self, ValideProject* value);
GList* valide_project_dialog_remove_get_selected_files (ValideProjectDialogRemove* self);
GType valide_abstract_project_dialog_get_type (void);
gpointer valide_abstract_project_dialog_window_widgets_ref (gpointer instance);
void valide_abstract_project_dialog_window_widgets_unref (gpointer instance);
GParamSpec* valide_abstract_project_dialog_param_spec_window_widgets (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_abstract_project_dialog_value_set_window_widgets (GValue* value, gpointer v_object);
gpointer valide_abstract_project_dialog_value_get_window_widgets (const GValue* value);
GType valide_abstract_project_dialog_window_widgets_get_type (void);
GType valide_project_dialog_get_type (void);
void valide_project_dialog_selection_changed (GtkIconView* icon_view, ValideProjectDialog* self);
void valide_project_dialog_project_path_change (GtkWidget* sender, ValideProjectDialog* self);
void valide_project_dialog_show (ValideProjectDialog* self);
guint valide_project_dialog_run (ValideProjectDialog* self);
ValideProjectDialog* valide_project_dialog_new (void);
ValideProjectDialog* valide_project_dialog_construct (GType object_type);
char* valide_project_dialog_get_project_name (ValideProjectDialog* self);
char* valide_project_dialog_get_project_author (ValideProjectDialog* self);
char* valide_project_dialog_get_project_version (ValideProjectDialog* self);
char* valide_project_dialog_get_project_license (ValideProjectDialog* self);
char* valide_project_dialog_get_project_dir (ValideProjectDialog* self);
void valide_project_dialog_set_project_dir (ValideProjectDialog* self, const char* value);
char* valide_project_dialog_get_project_path (ValideProjectDialog* self);
char* valide_project_dialog_get_lang (ValideProjectDialog* self);
char* valide_project_dialog_get_template (ValideProjectDialog* self);
void valide_project_dialog_set_project_desc (ValideProjectDialog* self, const char* value);
GType valide_project_manager_get_type (void);
ValideProjectManager* valide_project_manager_get_instance (void);
gboolean valide_project_manager_create (ValideProjectManager* self);
gboolean valide_project_manager_open (ValideProjectManager* self, const char* f, GError** error);
void valide_project_manager_close (ValideProjectManager* self, ValideProject* sender);
void valide_project_manager_open_selected_file (ValideProjectManager* self);
void valide_project_manager_remove_selected_file (ValideProjectManager* self);
gboolean valide_project_manager_accept_file (ValideProjectManager* self, const char* filename);
ValideProject* valide_project_manager_get_current (ValideProjectManager* self);
void valide_project_manager_set_current (ValideProjectManager* self, ValideProject* value);
ValideProject* valide_project_new (const char* filename);
ValideProject* valide_project_construct (GType object_type, const char* filename);
void valide_project_close (ValideProject* self);
void valide_project_create_file (ValideProject* self, GError** error);
void valide_project_open_file (ValideProject* self, const char* filename, GError** error);
void valide_project_add_file (ValideProject* self, GSList* files);
void valide_project_remove_file (ValideProject* self, GList* files);
gboolean valide_project_is_compiled (ValideProject* self);
void valide_project_options (ValideProject* self);
void valide_project_compile (ValideProject* self);
void valide_project_execute (ValideProject* self);
gboolean valide_project_accept_file (const char* filename);
char* valide_project_get_real_filename (ValideProject* self, const char* filename);
char* valide_project_get_filename (ValideProject* self);
void valide_project_set_filename (ValideProject* self, const char* value);
char* valide_project_get_path (ValideProject* self);
char* valide_project_get_name (ValideProject* self);
void valide_project_set_name (ValideProject* self, const char* value);
char* valide_project_get_author (ValideProject* self);
void valide_project_set_author (ValideProject* self, const char* value);
char* valide_project_get_version (ValideProject* self);
void valide_project_set_version (ValideProject* self, const char* value);
char* valide_project_get_license (ValideProject* self);
void valide_project_set_license (ValideProject* self, const char* value);
GList* valide_project_get_files (ValideProject* self);
gboolean valide_project_get_debug (ValideProject* self);
void valide_project_set_debug (ValideProject* self, gboolean value);
gboolean valide_project_get_thread (ValideProject* self);
void valide_project_set_thread (ValideProject* self, gboolean value);
gboolean valide_project_get_disable_assert (ValideProject* self);
void valide_project_set_disable_assert (ValideProject* self, gboolean value);
gboolean valide_project_get_disable_checking (ValideProject* self);
void valide_project_set_disable_checking (ValideProject* self, gboolean value);
gboolean valide_project_get_disable_non_null (ValideProject* self);
void valide_project_set_disable_non_null (ValideProject* self, gboolean value);
gboolean valide_project_get_save_temps (ValideProject* self);
void valide_project_set_save_temps (ValideProject* self, gboolean value);
gboolean valide_project_get_quiet (ValideProject* self);
void valide_project_set_quiet (ValideProject* self, gboolean value);
char* valide_project_get_other (ValideProject* self);
void valide_project_set_other (ValideProject* self, const char* value);
GList* valide_project_get_pkg (ValideProject* self);
void valide_project_set_pkg (ValideProject* self, GList* value);
GList* valide_project_get_vapi_dir (ValideProject* self);
void valide_project_set_vapi_dir (ValideProject* self, GList* value);
char* valide_project_get_builder (ValideProject* self);
void valide_project_set_builder (ValideProject* self, const char* value);
char* valide_project_get_compiler_options (ValideProject* self);
char* valide_project_get_executable_name (ValideProject* self);
char* valide_project_get_executable_options (ValideProject* self);
GType valide_recent_manager_ui_get_type (void);
ValideRecentManagerUI* valide_recent_manager_ui_get_instance (void);
void valide_recent_manager_ui_add_file (ValideRecentManagerUI* self, const char* uri);
void valide_recent_manager_ui_add_project (ValideRecentManagerUI* self, const char* uri);
GType valide_ui_manager_get_type (void);
void valide_recent_manager_ui_update_file (ValideRecentManagerUI* self, ValideUIManager* ui_manager);
void valide_recent_manager_ui_update_project (ValideRecentManagerUI* self, ValideUIManager* ui_manager);
GList* valide_recent_manager_ui_get_recent_files (ValideRecentManagerUI* self);
GList* valide_recent_manager_ui_get_recent_projects (ValideRecentManagerUI* self);
GType valide_searching_get_type (void);
gboolean valide_searching_key_press_event_cb (ValideSearching* self, GtkWidget* sender, const GdkEventKey* event);
ValideSearching* valide_searching_new (ValideAbstractTextDocument* document);
ValideSearching* valide_searching_construct (GType object_type, ValideAbstractTextDocument* document);
gboolean valide_searching_find (ValideSearching* self, gboolean show_replace, gboolean show_dialog);
gboolean valide_searching_find_next (ValideSearching* self);
gboolean valide_searching_find_prev (ValideSearching* self);
void valide_searching_replace (ValideSearching* self, gboolean show_dialog);
gboolean valide_searching_replace_next (ValideSearching* self);
gboolean valide_searching_replace_prev (ValideSearching* self);
void valide_searching_replace_all (ValideSearching* self);
void valide_searching_show_search (ValideSearching* self);
void valide_searching_show_replace (ValideSearching* self);
ValideAbstractTextDocument* valide_searching_get_document (ValideSearching* self);
static void valide_searching_set_document (ValideSearching* self, ValideAbstractTextDocument* value);
const char* valide_searching_get_search_text (ValideSearching* self);
void valide_searching_set_search_text (ValideSearching* self, const char* value);
const char* valide_searching_get_replace_text (ValideSearching* self);
void valide_searching_set_replace_text (ValideSearching* self, const char* value);
gboolean valide_searching_get_casse (ValideSearching* self);
void valide_searching_set_casse (ValideSearching* self, gboolean value);
gboolean valide_searching_get_word (ValideSearching* self);
void valide_searching_set_word (ValideSearching* self, gboolean value);
GType valide_proposal_get_type (void);
GType valide_provider_get_type (void);
void valide_provider_finish (ValideProvider* self);
GList* valide_provider_get_proposals (ValideProvider* self);
GType valide_source_completion_get_type (void);
ValideSourceCompletion* valide_source_completion_get_instance (void);
gboolean valide_source_completion_register_provider (ValideSourceCompletion* self, ValideProvider* provider);
gboolean valide_source_completion_unregister_provider (ValideSourceCompletion* self, ValideProvider* provider);
void valide_source_completion_trigger_event (ValideSourceCompletion* self, gint x, gint y);
GType valide_popup_get_type (void);
ValidePopup* valide_source_completion_get_popup (ValideSourceCompletion* self);
ValideProposal* valide_proposal_new (const char* label, GdkPixbuf* icon);
ValideProposal* valide_proposal_construct (GType object_type, const char* label, GdkPixbuf* icon);
const char* valide_proposal_get_label (ValideProposal* self);
void valide_proposal_set_label (ValideProposal* self, const char* value);
GdkPixbuf* valide_proposal_get_icon (ValideProposal* self);
void valide_proposal_set_icon (ValideProposal* self, GdkPixbuf* value);
GType valide_tree_get_type (void);
gboolean valide_tree_get_selected_proposal (ValideTree* self, ValideProposal** proposal);
void valide_tree_add_data (ValideTree* self, ValideProposal* data);
void valide_tree_clear (ValideTree* self);
void valide_tree_select_first (ValideTree* self);
void valide_tree_select_last (ValideTree* self);
void valide_tree_select_previous (ValideTree* self, gint rows);
void valide_tree_select_next (ValideTree* self, gint rows);
gint valide_tree_get_num_proposals (ValideTree* self);
void valide_tree_filter (ValideTree* self, const char* filter);
ValideTree* valide_tree_new (void);
ValideTree* valide_tree_construct (GType object_type);
ValidePopup* valide_popup_new (void);
ValidePopup* valide_popup_construct (GType object_type);
void valide_popup_show (ValidePopup* self);
void valide_popup_select_first (ValidePopup* self);
void valide_popup_select_last (ValidePopup* self);
void valide_popup_select_previous (ValidePopup* self, gint rows);
void valide_popup_select_next (ValidePopup* self, gint rows);
gboolean valide_popup_get_selected_proposal (ValidePopup* self, ValideProposal** proposal);
gint valide_popup_get_num_proposals (ValidePopup* self);
gboolean valide_popup_has_proposals (ValidePopup* self);
void valide_popup_filter (ValidePopup* self, const char* filter);
void valide_popup_set_proposals (ValidePopup* self, GList* value);
ValideSourceView* valide_source_view_new (const char* language);
ValideSourceView* valide_source_view_construct (GType object_type, const char* language);
void valide_source_view_scroll_to_cursor (ValideSourceView* self);
char* valide_source_view_get_last_word_and_iter (ValideSourceView* self, GtkTextIter* start_word, GtkTextIter* end_word);
char* valide_source_view_get_last_word (ValideSourceView* self);
const char* valide_source_view_get_language (ValideSourceView* self);
static void valide_source_view_set_language (ValideSourceView* self, const char* value);
GtkSourceBuffer* valide_source_view_get_buffer (ValideSourceView* self);
void valide_source_view_set_buffer (ValideSourceView* self, GtkSourceBuffer* value);
void valide_source_view_set_font (ValideSourceView* self, const char* value);
void valide_source_view_set_style_scheme (ValideSourceView* self, const char* value);
GType valide_trigger_get_type (void);
ValideSplitSourceView* valide_split_source_view_new (const char* language);
ValideSplitSourceView* valide_split_source_view_construct (GType object_type, const char* language);
ValideSourceView* valide_split_source_view_get_active_view (ValideSplitSourceView* self);
ValideSourceView* valide_split_source_view_get_view1 (ValideSplitSourceView* self);
static void valide_split_source_view_set_view1 (ValideSplitSourceView* self, ValideSourceView* value);
ValideSourceView* valide_split_source_view_get_view2 (ValideSplitSourceView* self);
static void valide_split_source_view_set_view2 (ValideSplitSourceView* self, ValideSourceView* value);
GType valide_start_page_get_type (void);
ValideStartPage* valide_start_page_new (void);
ValideStartPage* valide_start_page_construct (GType object_type);
GType valide_statusbar_get_type (void);
ValideStatusbar* valide_statusbar_get_instance (void);
void valide_statusbar_set_has_resize_grip (ValideStatusbar* self, gboolean show);
void valide_statusbar_set_cursor_position (ValideStatusbar* self, gint line, gint col);
void valide_statusbar_flash_message (ValideStatusbar* self, guint context_id, const char* msg);
GType valide_template_manager_get_type (void);
ValideTemplateManager* valide_template_manager_get_instance (void);
GList* valide_template_manager_get_list (ValideTemplateManager* self);
GType valide_template_get_type (void);
ValideTemplate* valide_template_new (const char* filename, const char* lang);
ValideTemplate* valide_template_construct (GType object_type, const char* filename, const char* lang);
const char* valide_template_get_name (ValideTemplate* self);
const char* valide_template_get_desc (ValideTemplate* self);
const char* valide_template_get_path (ValideTemplate* self);
const char* valide_template_get_filename (ValideTemplate* self);
static void valide_template_set_filename (ValideTemplate* self, const char* value);
GdkPixbuf* valide_template_get_icon (ValideTemplate* self);
const char* valide_template_get_lang (ValideTemplate* self);
static void valide_template_set_lang (ValideTemplate* self, const char* value);
GList* valide_template_get_files (ValideTemplate* self);
ValideUIManager* valide_ui_manager_get_instance (void);
void valide_ui_manager_populate (ValideUIManager* self);
GtkAction* valide_ui_manager_get_action (ValideUIManager* self, const char* name);
void valide_ui_manager_action_set_toggled (ValideUIManager* self, const char* name, gboolean active);
gpointer valide_utils_ref (gpointer instance);
void valide_utils_unref (gpointer instance);
GParamSpec* valide_param_spec_utils (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_value_set_utils (GValue* value, gpointer v_object);
gpointer valide_value_get_utils (const GValue* value);
GType valide_utils_get_type (void);
char* valide_utils_get_relative_path (const char* filename, const char* path);
char* valide_utils_get_extension (const char* filename);
char* valide_utils_skip_extension (const char* filename);
gint valide_utils_cmp_filename (const char* path_a, const char* path_b);
guint64 valide_utils_get_mtime (const char* filename, GError** error);
void valide_utils_set_up_io_channel (gint fd, GIOCondition cond, gboolean nblock, GIOFunc func, void* func_target, GError** error);
void valide_utils_chop (char** s);
gboolean valide_utils_str_is_num (const char* s);
gboolean valide_utils_char_is_separator (gunichar ch);
GtkButton* valide_utils_create_small_button (GtkImage* image);
GtkButton* valide_utils_create_small_button_from_stock (const char* stock_id);
GdkPixbuf* valide_utils_get_pixbuf_for_stock (const char* stock_id, GtkIconSize size);
char* valide_utils_get_mime_type (const char* filename, GError** error);
ValideUtils* valide_utils_new (void);
ValideUtils* valide_utils_construct (GType object_type);
gpointer valide_markup_ref (gpointer instance);
void valide_markup_unref (gpointer instance);
GParamSpec* valide_param_spec_markup (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_value_set_markup (GValue* value, gpointer v_object);
gpointer valide_value_get_markup (const GValue* value);
GType valide_markup_get_type (void);
void valide_markup_remove (const char* filename, const char* xpath);
void valide_markup_add_child (const char* filename, const char* xpath, const char* name, const char* content);
gboolean valide_markup_exist (const char* filename, const char* xpath);
char* valide_markup_get_content (const char* filename, const char* xpath);
xmlNodeSet* valide_markup_get_nodes (const char* filename, const char* xpath);
ValideMarkup* valide_markup_new (void);
ValideMarkup* valide_markup_construct (GType object_type);
gpointer valide_vala_ref (gpointer instance);
void valide_vala_unref (gpointer instance);
GParamSpec* valide_param_spec_vala (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void valide_value_set_vala (GValue* value, gpointer v_object);
gpointer valide_value_get_vala (const GValue* value);
GType valide_vala_get_type (void);
GList* valide_vala_get_package_list (GList* vapi_dir);
ValideVala* valide_vala_new (void);
ValideVala* valide_vala_construct (GType object_type);
char* valide_vala_get_compiler_name (ValideVala* self);
char* valide_vala_get_prefix (ValideVala* self);
char* valide_vala_get_vapi_dir (ValideVala* self);
GType valide_window_get_type (void);
ValideWindow* valide_window_get_instance (void);
void valide_window_run (ValideWindow* self);
void valide_window_side_panel_show (ValideWindow* self, GtkWidget* widget);
void valide_window_side_panel_hide (ValideWindow* self);
void valide_window_bottom_panel_show (ValideWindow* self, GtkWidget* widget);
void valide_window_bottom_panel_hide (ValideWindow* self);
void valide_abstract_close_dialog_connect_signal (ValideAbstractCloseDialog* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_close_dialog_connect_signals (ValideAbstractCloseDialog* self, const char* namespace);
ValideAbstractCloseDialogwindow_widgets* valide_abstract_close_dialog_window_widgets_new (void);
ValideAbstractCloseDialogwindow_widgets* valide_abstract_close_dialog_window_widgets_construct (GType object_type);
GType valide_abstract_close_dialog_window_widget_names_get_type (void);
void valide_abstract_preferences_dialog_connect_signal (ValideAbstractPreferencesDialog* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_preferences_dialog_connect_signals (ValideAbstractPreferencesDialog* self, const char* namespace);
ValideAbstractPreferencesDialogwindow_widgets* valide_abstract_preferences_dialog_window_widgets_new (void);
ValideAbstractPreferencesDialogwindow_widgets* valide_abstract_preferences_dialog_window_widgets_construct (GType object_type);
GType valide_abstract_preferences_dialog_window_widget_names_get_type (void);
void valide_abstract_project_dialog_options_connect_signal (ValideAbstractProjectDialogOptions* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_project_dialog_options_connect_signals (ValideAbstractProjectDialogOptions* self, const char* namespace);
ValideAbstractProjectDialogOptionswindow_widgets* valide_abstract_project_dialog_options_window_widgets_new (void);
ValideAbstractProjectDialogOptionswindow_widgets* valide_abstract_project_dialog_options_window_widgets_construct (GType object_type);
GType valide_abstract_project_dialog_options_window_widget_names_get_type (void);
void valide_abstract_project_dialog_remove_connect_signal (ValideAbstractProjectDialogRemove* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_project_dialog_remove_connect_signals (ValideAbstractProjectDialogRemove* self, const char* namespace);
ValideAbstractProjectDialogRemovewindow_widgets* valide_abstract_project_dialog_remove_window_widgets_new (void);
ValideAbstractProjectDialogRemovewindow_widgets* valide_abstract_project_dialog_remove_window_widgets_construct (GType object_type);
GType valide_abstract_project_dialog_remove_window_widget_names_get_type (void);
void valide_abstract_project_dialog_connect_signal (ValideAbstractProjectDialog* self, GtkBuilder* builder, GObject* object, const char* signal_name, const char* handler_name, GObject* connect_objectt, GConnectFlags flags);
void valide_abstract_project_dialog_connect_signals (ValideAbstractProjectDialog* self, const char* namespace);
ValideAbstractProjectDialogwindow_widgets* valide_abstract_project_dialog_window_widgets_new (void);
ValideAbstractProjectDialogwindow_widgets* valide_abstract_project_dialog_window_widgets_construct (GType object_type);
GType valide_abstract_project_dialog_window_widget_names_get_type (void);

static const char* VALIDE_PLUGIN_REGISTRAR_FILE_EXT[] = {"valide-plugin"};
static const char* VALIDE_PROJECT_FILE_EXT[] = {"vide"};
static const ValideAbstractCloseDialogwindow_widget_names VALIDE_ABSTRACT_CLOSE_DIALOG_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "dialog-vbox1"}, {1, "GtkVBox", "dialog_vbox1"}, {2, "GtkVBox", "vbox1"}, {3, "GtkHBox", "hbox1"}, {4, "GtkImage", "image1"}, {5, "GtkVBox", "vbox2"}, {6, "GtkLabel", "label"}, {7, "GtkLabel", "label3"}, {8, "GtkTreeView", "tree_view"}, {9, "GtkLabel", "label1"}, {10, "GtkHButtonBox", "dialog-action_area1"}, {10, "GtkHButtonBox", "dialog_action_area1"}, {11, "GtkButton", "button1"}, {12, "GtkButton", "button2"}, {13, "GtkButton", "button3"}, {0, NULL, NULL}};
static const ValideAbstractPreferencesDialogwindow_widget_names VALIDE_ABSTRACT_PREFERENCES_DIALOG_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "vbox"}, {2, "GtkNotebook", "notebook"}, {3, "GtkVBox", "frame_editor"}, {4, "GtkFrame", "frame1"}, {5, "GtkAlignment", "alignment1"}, {6, "GtkVBox", "vbox1"}, {7, "GtkCheckButton", "auto_indent"}, {8, "GtkCheckButton", "insert_spaces_instead_of_tabs"}, {9, "GtkCheckButton", "indent_on_tab"}, {10, "GtkHBox", "hbox1"}, {11, "GtkLabel", "label4"}, {12, "GtkSpinButton", "indent_width"}, {13, "GtkHBox", "hbox2"}, {14, "GtkLabel", "label5"}, {15, "GtkSpinButton", "tab_width"}, {16, "GtkLabel", "label3"}, {17, "GtkFrame", "frame2"}, {18, "GtkAlignment", "alignment2"}, {19, "GtkVBox", "vbox2"}, {20, "GtkCheckButton", "show_right_margin"}, {21, "GtkHBox", "hbox3"}, {22, "GtkLabel", "label7"}, {23, "GtkSpinButton", "right_margin_position"}, {24, "GtkLabel", "label6"}, {25, "GtkFrame", "frame4"}, {26, "GtkAlignment", "alignment4"}, {27, "GtkCheckButton", "show_line_numbers"}, {28, "GtkLabel", "label11"}, {29, "GtkFrame", "frame5"}, {30, "GtkAlignment", "alignment5"}, {31, "GtkCheckButton", "highlight_current_line"}, {32, "GtkLabel", "label12"}, {33, "GtkLabel", "label1"}, {34, "GtkVBox", "vbox4"}, {35, "GtkFrame", "frame3"}, {36, "GtkAlignment", "alignment3"}, {37, "GtkHBox", "hbox4"}, {38, "GtkLabel", "label8"}, {39, "GtkFontButton", "font"}, {40, "GtkLabel", "label2"}, {41, "GtkFrame", "frame6"}, {42, "GtkAlignment", "alignment6"}, {43, "GtkScrolledWindow", "scrolledwindow1"}, {44, "GtkTreeView", "style_scheme"}, {45, "GtkLabel", "label14"}, {46, "GtkLabel", "label13"}, {47, "GtkVBox", "vbox3"}, {48, "GtkHBox", "hbox5"}, {49, "GtkLabel", "label10"}, {50, "GtkFileChooserButton", "default_directory"}, {51, "GtkLabel", "label9"}, {52, "GtkHButtonBox", "dialog-action_area1"}, {52, "GtkHButtonBox", "dialog_action_area1"}, {53, "GtkButton", "button"}, {0, NULL, NULL}};
static const ValideAbstractProjectDialogOptionswindow_widget_names VALIDE_ABSTRACT_PROJECT_DIALOG_OPTIONS_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "vbox"}, {2, "GtkHBox", "hbox"}, {3, "GtkScrolledWindow", "scrolled_window"}, {4, "GtkIconView", "icon_view"}, {5, "GtkNotebook", "notebook"}, {6, "GtkTable", "table1"}, {7, "GtkLabel", "label7"}, {8, "GtkLabel", "label8"}, {9, "GtkLabel", "label9"}, {10, "GtkLabel", "label10"}, {11, "GtkLabel", "path"}, {12, "GtkEntry", "name"}, {13, "GtkEntry", "author"}, {14, "GtkEntry", "version"}, {15, "GtkLabel", "label11"}, {16, "GtkLabel", "license"}, {17, "GtkLabel", "label12"}, {18, "GtkVBox", "frame_general"}, {19, "GtkCheckButton", "debug"}, {20, "GtkCheckButton", "thread"}, {21, "GtkCheckButton", "disable_assert"}, {22, "GtkCheckButton", "disable_checking"}, {23, "GtkCheckButton", "disable_non_null"}, {24, "GtkCheckButton", "save_temps"}, {25, "GtkCheckButton", "quiet"}, {26, "GtkHBox", "hbox1"}, {27, "GtkLabel", "label3"}, {28, "GtkEntry", "other"}, {29, "GtkButton", "info_button"}, {30, "GtkImage", "image3"}, {31, "GtkLabel", "label1"}, {32, "GtkVBox", "vbox1"}, {33, "GtkFrame", "frame_pkg"}, {34, "GtkAlignment", "alignment1"}, {35, "GtkHBox", "hbox2"}, {36, "GtkScrolledWindow", "scrolledwindow1"}, {37, "GtkTreeView", "tree_view_src"}, {38, "GtkVBox", "vbox3"}, {39, "GtkButton", "button_add"}, {40, "GtkImage", "image1"}, {41, "GtkButton", "button_del"}, {42, "GtkImage", "image2"}, {43, "GtkScrolledWindow", "scrolledwindow2"}, {44, "GtkTreeView", "tree_view_dst"}, {45, "GtkLabel", "label4"}, {46, "GtkFrame", "frame_vapi"}, {47, "GtkAlignment", "alignment2"}, {48, "GtkVBox", "vbox4"}, {49, "GtkHBox", "hbox3"}, {50, "GtkFileChooserButton", "file_chooser_button"}, {51, "GtkButton", "button3"}, {52, "GtkButton", "button4"}, {53, "GtkScrolledWindow", "scrolledwindow3"}, {54, "GtkTreeView", "tree_view_vapi"}, {55, "GtkLabel", "label5"}, {56, "GtkLabel", "label2"}, {57, "GtkHButtonBox", "dialog-action_area1"}, {57, "GtkHButtonBox", "dialog_action_area1"}, {58, "GtkButton", "button1"}, {59, "GtkButton", "button2"}, {0, NULL, NULL}};
static const ValideAbstractProjectDialogRemovewindow_widget_names VALIDE_ABSTRACT_PROJECT_DIALOG_REMOVE_widget_info[] = {{0, "GtkDialog", "dialog"}, {1, "GtkVBox", "vbox"}, {2, "GtkLabel", "label"}, {3, "GtkScrolledWindow", "scrolled_window"}, {4, "GtkTreeView", "tree_view"}, {5, "GtkHButtonBox", "dialog_action_area"}, {6, "GtkButton", "button1"}, {7, "GtkButton", "button2"}, {0, NULL, NULL}};
static const ValideAbstractProjectDialogwindow_widget_names VALIDE_ABSTRACT_PROJECT_DIALOG_widget_info[] = {{0, "GtkListStore", "model1"}, {1, "GtkAssistant", "assistant"}, {2, "GtkLabel", "page1"}, {3, "GtkVBox", "page2"}, {4, "GtkScrolledWindow", "scrolledwindow1"}, {5, "GtkIconView", "icon_view"}, {6, "GtkHBox", "hbox1"}, {7, "GtkLabel", "label1"}, {8, "GtkComboBox", "lang_combo"}, {9, "GtkCellRendererText", "renderer1"}, {10, "GtkFrame", "frame1"}, {11, "GtkAlignment", "alignment1"}, {12, "GtkLabel", "desc_label"}, {13, "GtkLabel", "label4"}, {14, "GtkScrolledWindow", "page3"}, {15, "GtkViewport", "viewport1"}, {16, "GtkTable", "table1"}, {17, "GtkLabel", "label2"}, {18, "GtkLabel", "label3"}, {19, "GtkLabel", "label6"}, {20, "GtkEntry", "name_entry"}, {21, "GtkEntry", "path_entry"}, {22, "GtkLabel", "label7"}, {23, "GtkLabel", "label8"}, {24, "GtkLabel", "label9"}, {25, "GtkEntry", "author_entry"}, {26, "GtkEntry", "version_entry"}, {27, "GtkComboBox", "licenses_combo"}, {28, "GtkFileChooserButton", "dir_chooser"}, {0, NULL, NULL}};

G_END_DECLS

#endif
